Index: general/prog/gcc.xml
===================================================================
--- general/prog/gcc.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ general/prog/gcc.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -44,4 +44,6 @@
     consider the Iced Tea version to be a more robust Java environment than the
     one provided by <application>GCC</application>.</para>
+
+    &lfs70_checked;
 
     <caution>
@@ -59,6 +61,4 @@
       compiled during LFS.</para>
     </caution>
-
-    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/add/file-roller.xml
===================================================================
--- gnome/add/file-roller.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ gnome/add/file-roller.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -36,9 +36,9 @@
     jar, compress, lzop and many other archive formats.</para>
 
+    &lfs70_checked;
+
     <note><para><application>File Roller</application> is only a graphical
     interface to archiving utilities such as <application>tar</application> and
     <application>zip</application>.</para></note>
-
-    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/deprecated/gnome-vfs.xml
===================================================================
--- gnome/deprecated/gnome-vfs.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ gnome/deprecated/gnome-vfs.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -34,8 +34,8 @@
     foundations of the <application>Nautilus</application> file manager.</para>
 
+    &lfs70_checked;
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
-
-    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/deprecated/libbonobo.xml
===================================================================
--- gnome/deprecated/libbonobo.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ gnome/deprecated/libbonobo.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -35,8 +35,8 @@
     <application>GNOME-2</application>.</para>
 
+    &lfs70_checked;
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
-
-    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/deprecated/libbonoboui.xml
===================================================================
--- gnome/deprecated/libbonoboui.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ gnome/deprecated/libbonoboui.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -38,8 +38,8 @@
     </para>
 
+    &lfs70_checked;
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
-
-    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/deprecated/libgnome.xml
===================================================================
--- gnome/deprecated/libgnome.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ gnome/deprecated/libgnome.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -33,8 +33,8 @@
     <filename class="libraryfile">libgnome</filename> library.</para>
 
+    &lfs70_checked;
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
-
-    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/deprecated/libgnomecanvas.xml
===================================================================
--- gnome/deprecated/libgnomecanvas.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ gnome/deprecated/libgnomecanvas.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -35,8 +35,8 @@
     <application>GNOME</application> libraries.</para>
 
+    &lfs70_checked;
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
-
-    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/deprecated/libgnomeui.xml
===================================================================
--- gnome/deprecated/libgnomeui.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ gnome/deprecated/libgnomeui.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -33,8 +33,8 @@
     <filename class="libraryfile">libgnomeui</filename> libraries.</para>
 
+    &lfs70_built;
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
-
-    &lfs70_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/deprecated/orbit2.xml
===================================================================
--- gnome/deprecated/orbit2.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ gnome/deprecated/orbit2.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -34,9 +34,9 @@
     to send requests and receive replies from other programs.</para>
 
+    &lfs70_checked;
+ 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gnome2.xml"/>
 
-    &lfs70_checked;
- 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
Index: pst/typesetting/jadetex.xml
===================================================================
--- pst/typesetting/jadetex.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ pst/typesetting/jadetex.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -35,4 +35,6 @@
     DVI/PostScript and Portable Document Format (PDF) forms.</para>
 
+    &lfs70_checked;
+
     <important>
       <para>Do not install this package if you have already installed
@@ -41,6 +43,4 @@
       components.</para>
     </important>
-
-    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter.xml
===================================================================
--- x/lib/clutter.xml	(revision 510328e130bec48119fa2fdfb8d855b1cc32ac56)
+++ x/lib/clutter.xml	(revision 625d5fe54e325f0b17a2424de1164d8945eec1b5)
@@ -35,4 +35,6 @@
       user interfaces.
     </para>
+
+    &lfs70_checked;
 
     <note>
@@ -45,6 +47,4 @@
       </para>
     </note>
-
-    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>