Index: basicnet/netprogs/rsync-client.xml
===================================================================
--- basicnet/netprogs/rsync-client.xml	(revision e08e2be19562ac13d9d49bed1259d9e0d4abc2a3)
+++ basicnet/netprogs/rsync-client.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -18,5 +18,5 @@
   <para><command>rsync</command> is a utility for fast incremental file
   transfers. If you want to install it, the instructions can be found in Chapter
-  24 &ndash; <xref linkend="rsync"/>.  Note that if you only want to use the
+  22 &ndash; <xref linkend="rsync"/>.  Note that if you only want to use the
   client, you do <emphasis>not</emphasis> need to run the server and so do not
   need the startup script and links.  In accordance with good practice, only run
Index: basicnet/netprogs/samba3-client.xml
===================================================================
--- basicnet/netprogs/samba3-client.xml	(revision e08e2be19562ac13d9d49bed1259d9e0d4abc2a3)
+++ basicnet/netprogs/samba3-client.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -19,5 +19,5 @@
   transfer files to and from, mount SMB shares located on or use printers
   attached to Windows and other SMB servers. If you want to install these
-  utilities, the instructions can be found in Chapter 21 &ndash;
+  utilities, the instructions can be found in Chapter 19 &ndash;
   <xref linkend="samba3"/>. After performing the basic installation,
   configure the utilities using the configuration section titled
Index: general.ent
===================================================================
--- general.ent	(revision e08e2be19562ac13d9d49bed1259d9e0d4abc2a3)
+++ general.ent	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -142,4 +142,5 @@
 <!ENTITY libusb-version               "1.0.2">
 <!ENTITY libusb-compat-version        "0.1.3">
+<!ENTITY icu-version                  "4.2.1">
 <!ENTITY iso-codes-version            "3.11">
 <!ENTITY gmime-version                "2.4.7">
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision e08e2be19562ac13d9d49bed1259d9e0d4abc2a3)
+++ general/genlib/genlib.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -68,4 +68,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libusb.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libusb-compat.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="icu.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="iso-codes.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gmime.xml"/>
Index: general/genlib/icu.xml
===================================================================
--- general/genlib/icu.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
+++ general/genlib/icu.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -0,0 +1,343 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY icu-download-http "http://download.icu-project.org/files/icu4c/&icu-version;/icu4c-4_2_1-src.tgz">
+  <!ENTITY icu-download-ftp  " ">
+  <!ENTITY icu-md5sum        "e3738abd0d3ce1870dc1fd1f22bba5b1">
+  <!ENTITY icu-size          "12.6 MB">
+  <!ENTITY icu-buildsize     "227 MB">
+  <!ENTITY icu-time          "3.6 SBU">
+]>
+
+<sect1 id="icu" xreflabel="ICU-&icu-version;">
+  <?dbhtml filename="icu.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>ICU-&icu-version;</title>
+
+  <indexterm zone="icu">
+    <primary sortas="a-ICU">ICU</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to ICU</title>
+
+    <para>The <application>ICU</application> package is a mature, widely used
+    set of C/C++ libraries providing Unicode and Globalization support for
+    software applications. <application>ICU</application> is widely portable and
+    gives applications the same results on all platforms.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&icu-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&icu-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &icu-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &icu-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &icu-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &icu-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">ICU Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Optional (To build the sample code)</bridgehead>
+    <para role="optional"><xref linkend="cairo"/>,
+    <xref linkend="freetype2"/>, and
+    <xref linkend="libgnomeui"/></para>
+    <para>See readme.txt under the source/samples directory for further
+    details.</para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/icu"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of ICU</title>
+
+    <para>Install <application>ICU</application> by running the following
+    commands:</para>
+
+<screen><userinput>cd source &amp;&amp;
+chmod +x runConfigureICU configure install-sh &amp;&amp;
+./runConfigureICU Linux --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>derb, genbrk, gencfu, gencnval, genctd, genrb, icu-config,
+        makeconv, pkgdata, uconv, genccode, gencmn, gensprep, genuca, and
+        icupkg</seg>
+        <seg>libicudata.so, libicui18n.so, libicuio.so, libicule.so,
+        libiculx.so, libicutu.so, and libicuuc.so</seg>
+        <seg>/usr/{include/{layout,unicode},lib/icu/&icu-version;,
+        share/icu/&icu-version;/config}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="derb">
+        <term><command>derb</command></term>
+        <listitem>
+          <para>disassembles a resource bundle.</para>
+          <indexterm zone="icu derb">
+            <primary sortas="b-derb">derb</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="genbrk">
+        <term><command>genbrk</command></term>
+        <listitem>
+          <para>compiles ICU break iteration rules source files into binary data
+          files.</para>
+          <indexterm zone="icu genbrk">
+            <primary sortas="b-genbrk">genbrk</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <!--<varlistentry id="gencfu">
+        <term><command>gencfu</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="icu gencfu">
+            <primary sortas="b-gencfu">gencfu</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>-->
+
+      <varlistentry id="gencnval">
+        <term><command>gencnval</command></term>
+        <listitem>
+          <para>compiles the converters aliases file.</para>
+          <indexterm zone="icu gencnval">
+            <primary sortas="b-gencnval">gencnval</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="genctd">
+        <term><command>genctd</command></term>
+        <listitem>
+          <para>compiles word list into ICU compact trie dictionary.</para>
+          <indexterm zone="icu genctd">
+            <primary sortas="b-genctd">genctd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="genrb">
+        <term><command>genrb</command></term>
+        <listitem>
+          <para>compile a resource bundle.</para>
+          <indexterm zone="icu genrb">
+            <primary sortas="b-genrb">genrb</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="icu-config">
+        <term><command>icu-config</command></term>
+        <listitem>
+          <para>outputs ICU build options.</para>
+          <indexterm zone="icu icu-config">
+            <primary sortas="b-icu-config">icu-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="makeconv">
+        <term><command>makeconv</command></term>
+        <listitem>
+          <para>compiles a converter table.</para>
+          <indexterm zone="icu makeconv">
+            <primary sortas="b-makeconv">makeconv</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="pkgdata">
+        <term><command>pkgdata</command></term>
+        <listitem>
+          <para>packages data for use by ICU.</para>
+          <indexterm zone="icu pkgdata">
+            <primary sortas="b-pkgdata">pkgdata</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="uconv">
+        <term><command>uconv</command></term>
+        <listitem>
+          <para>converts data from one encoding to another.</para>
+          <indexterm zone="icu uconv">
+            <primary sortas="b-uconv">uconv</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="genccode">
+        <term><command>genccode</command></term>
+        <listitem>
+          <para>generates C or platform specific assembly code from an ICU data
+          file.</para>
+          <indexterm zone="icu genccode">
+            <primary sortas="b-genccode">genccode</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gencmn">
+        <term><command>gencmn</command></term>
+        <listitem>
+          <para>generates an ICU memory-mappable data file.</para>
+          <indexterm zone="icu gencmn">
+            <primary sortas="b-gencmn">gencmn</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gensprep">
+        <term><command>gensprep</command></term>
+        <listitem>
+          <para>compiles StringPrep data from files filtered by
+          filterRFC3454.pl.</para>
+          <indexterm zone="icu gensprep">
+            <primary sortas="b-gensprep">gensprep</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="genuca">
+        <term><command>genuca</command></term>
+        <listitem>
+          <para>creates the UCA data table.</para>
+          <indexterm zone="icu genuca">
+            <primary sortas="b-genuca">genuca</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="icupkg">
+        <term><command>icupkg</command></term>
+        <listitem>
+          <para>extracts or modifies an ICU .dat archive.</para>
+          <indexterm zone="icu icupkg">
+            <primary sortas="b-icupkg">icupkg</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libicudata">
+        <term><filename class='libraryfile'>libicudata.{so,a}</filename></term>
+        <listitem>
+          <para>is the data library.</para>
+          <indexterm zone="icu libicudata">
+            <primary sortas="c-libicudata">libicudata.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libicui18n">
+        <term><filename class='libraryfile'>libicui18n.{so,a}</filename></term>
+        <listitem>
+          <para>is the internationalization (i18n) library.</para>
+          <indexterm zone="icu libicui18n">
+            <primary sortas="c-libicui18n">libicui18n.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libicuio">
+        <term><filename class='libraryfile'>libicuio.{so,a}</filename></term>
+        <listitem>
+          <para>is the ICU I/O (unicode stdio) library.</para>
+          <indexterm zone="icu libicuio">
+            <primary sortas="c-libicuio">libicuio.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libicule">
+        <term><filename class='libraryfile'>libicule.{so,a}</filename></term>
+        <listitem>
+          <para>is the layout engine.</para>
+          <indexterm zone="icu libicule">
+            <primary sortas="c-libicule">libicule.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libiculx">
+        <term><filename class='libraryfile'>libiculx.{so,a}</filename></term>
+        <listitem>
+          <para>is the layout extensions engine.</para>
+          <indexterm zone="icu libiculx">
+            <primary sortas="c-libiculx">libiculx.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libicutu">
+        <term><filename class='libraryfile'>libicutu.{so,a}</filename></term>
+        <listitem>
+          <para>is the tool utility library.</para>
+          <indexterm zone="icu libicutu">
+            <primary sortas="c-libicutu">libicutu.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libicuuc">
+        <term><filename class='libraryfile'>libicuuc.{so,a}</filename></term>
+        <listitem>
+          <para>is the common library.</para>
+          <indexterm zone="icu libicuuc">
+            <primary sortas="c-libicuuc">libicuuc.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general/genutils/scrollkeeper.xml
===================================================================
--- general/genutils/scrollkeeper.xml	(revision e08e2be19562ac13d9d49bed1259d9e0d4abc2a3)
+++ general/genutils/scrollkeeper.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -84,5 +84,5 @@
             --with-omfdirs=/usr/share/omf:\
 /opt/kde-&kde-version;/share/omf:\
-/opt/gnome-&gnome-old-version;&gnome-minor-version;/share/omf &amp;&amp;
+/opt/gnome-&gnome-version;&gnome-minor-version;/share/omf &amp;&amp;
 
 make</userinput></screen>
Index: general/prog/python-modules.xml
===================================================================
--- general/prog/python-modules.xml	(revision e08e2be19562ac13d9d49bed1259d9e0d4abc2a3)
+++ general/prog/python-modules.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -294,9 +294,4 @@
       <xref linkend="cairo"/></para>
 
-      <bridgehead renderas="sect5">Optional</bridgehead>
-      <para role="optional"><ulink
-      url="http://codespeak.net/py/dist/">PyPI</ulink> (Required for the
-      regression tests)</para>
-
       <para condition="html" role="usernotes">User Notes:
       <ulink url="&blfs-wiki;/pycairo"/></para>
@@ -313,13 +308,9 @@
 make</userinput></screen>
 
+      <para>This package does not come with a test suite.</para>
+
       <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
 <screen role="root"><userinput>make install</userinput></screen>
-
-      <para>To run the regression tests, the package must first be installed and
-      also the PyPI package which contains the py.test tool.
-      Then, as an unprivileged user, issue the following commands:</para>
-
-<screen><userinput>python py.test</userinput></screen>
 
     </sect3>
Index: gnome/add/gnome-screensaver.xml
===================================================================
--- gnome/add/gnome-screensaver.xml	(revision e08e2be19562ac13d9d49bed1259d9e0d4abc2a3)
+++ gnome/add/gnome-screensaver.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -210,5 +210,5 @@
       </indexterm>
       <indexterm zone="gnome-screensaver gnome-screensaver-config">
-        <primary sortas="etc-gnome-&gnome-old-version;&gnome-minor-version;gdm-custom.conf">
+        <primary sortas="etc-gnome-&gnome-version;&gnome-minor-version;gdm-custom.conf">
         &gnome-etc-dir;/gdm/custom.conf</primary>
       </indexterm>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e08e2be19562ac13d9d49bed1259d9e0d4abc2a3)
+++ introduction/welcome/changelog.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -43,6 +43,11 @@
 
     <listitem>
-      <para>Date</para>
-      <itemizedlist>
+      <para>January 10th, 2010</para>
+      <itemizedlist>
+        <listitem>
+          <para>[wblaszcz] - Added new package, ICU-4.2.1 and some minor
+          ammendments to samba3-client, rsync-client, cyrus-sasl,
+          gnome-screensaver, python-modules, and scrollkeeper.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Added back the package management page.</para>
Index: postlfs/security/cyrus-sasl.xml
===================================================================
--- postlfs/security/cyrus-sasl.xml	(revision e08e2be19562ac13d9d49bed1259d9e0d4abc2a3)
+++ postlfs/security/cyrus-sasl.xml	(revision 627a4afc78bede82eb302d7bc599ad9ea67b1d16)
@@ -5,5 +5,5 @@
   %general-entities;
 
-  <!ENTITY cyrus-sasl-download-http "http://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-&cyrus-sasl-version;.tar.gz ">
+  <!ENTITY cyrus-sasl-download-http "http://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-&cyrus-sasl-version;.tar.gz">
   <!ENTITY cyrus-sasl-download-ftp  "ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-&cyrus-sasl-version;.tar.gz">
   <!ENTITY cyrus-sasl-md5sum        "45dde9d19193ae9dd388eb68b2027bc9">