Index: kde/kf5/extra-cmake-modules.xml
===================================================================
--- kde/kf5/extra-cmake-modules.xml	(revision 8e6f4f855f137baf38a3bb130b96d5cd178b91c4)
+++ 	(revision )
@@ -1,144 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-   <!ENTITY extra-cmake-modules-version       "1.7.0">
-   <!ENTITY extra-cmake-modules-download-http "&kf5-download-http;/extra-cmake-modules-&extra-cmake-modules-version;.tar.xz">
-   <!ENTITY extra-cmake-modules-download-ftp  "&kf5-download-ftp;/extra-cmake-modules-&extra-cmake-modules-version;.tar.xz">
-   <!ENTITY extra-cmake-modules-md5sum        "45fd1e6f38b23b00983e5eab9ba61d15">
-   <!ENTITY extra-cmake-modules-size          "128 KB">
-   <!ENTITY extra-cmake-modules-buildsize     "5.8 MB">
-   <!ENTITY extra-cmake-modules-time          "less than 0.1 SBU">
-]>
-
-<sect1 id="extra-cmake-modules" xreflabel="extra-cmake-modules-&extra-cmake-modules-version;">
-  <?dbhtml filename="extra-cmake-modules.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy: krejzi $</othername>
-    <date>$Date: 2014-10-09 22:03:42 +0200 (Thu, 09 Oct 2014) $</date>
-  </sect1info>
-
-  <title>extra-cmake-modules-&extra-cmake-modules-version;</title>
-
-  <indexterm zone="extra-cmake-modules">
-    <primary sortas="a-extra-cmake-modules">extra-cmake-modules</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Extra Cmake Modules</title>
-
-    <para>
-      The <application>Extra Cmake Modules</application> package contains
-      extra <application>CMake</application> modules used by 
-      <application>KDE Frameworks 5</application> and other packages.
-    </para>
-
-    &lfs77_checked;
-    
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&extra-cmake-modules-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&extra-cmake-modules-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &extra-cmake-modules-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &extra-cmake-modules-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &extra-cmake-modules-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &extra-cmake-modules-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Extra Cmake Modules Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="cmake"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <ulink url="https://pypi.python.org/pypi/Sphinx">Sphinx (for building documentation)</ulink>
-    </para>
-
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/extra-cmake-modules"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Extra Cmake Modules</title>
-
-    <para>
-      Install <application>Extra Cmake Modules</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>mkdir build &amp;&amp;
-cd    build &amp;&amp;
-
-cmake -DCMAKE_INSTALL_PREFIX=/usr .. &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          None
-        </seg>
-        <seg>
-          None
-        </seg>
-        <seg>
-          /usr/share/ECM and
-          /usr/share/doc/ECM (if documentation was built)
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-  </sect2>
-
-</sect1>
-
-
Index: kde/kf5/kf5.xml
===================================================================
--- kde/kf5/kf5.xml	(revision 8e6f4f855f137baf38a3bb130b96d5cd178b91c4)
+++ kde/kf5/kf5.xml	(revision 632bfadd7903980b16c0a45ced52f406cdb01cf1)
@@ -14,9 +14,9 @@
   <?dbhtml filename="kf5.html"?>
 
-  <title>KDE Frameworks 5</title>
+  <title>KDE Frameworks 5 (KF5)</title>
  
   <para>Placeholder</para>
 
-  <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="automoc4.xml"/>-->
 
 </chapter>
+
Index: kde/kf5/phonon5.xml
===================================================================
--- kde/kf5/phonon5.xml	(revision 632bfadd7903980b16c0a45ced52f406cdb01cf1)
+++ kde/kf5/phonon5.xml	(revision 632bfadd7903980b16c0a45ced52f406cdb01cf1)
@@ -0,0 +1,171 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY phonon-download-http "&kde-download-http;phonon/&phonon-version;/src/phonon-&phonon-version;.tar.xz">
+  <!ENTITY phonon-download-ftp  "&kde-download-ftp;phonon/&phonon-version;/src/phonon-&phonon-version;.tar.xz">
+  <!ENTITY phonon-md5sum        "88bb9867261803eed61ff53a7c026338">
+  <!ENTITY phonon-size          "316 KB">
+  <!ENTITY phonon-buildsize     "11.7 MB">
+  <!ENTITY phonon-time          "0.4 SBU">
+]>
+
+<sect1 id="phonon5" xreflabel="phonon-&phonon-version; (Qt5)">
+  <?dbhtml filename="phonon5.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Phonon-&phonon-version; (Qt5)</title>
+
+  <indexterm zone="phonon5">
+    <primary sortas="a-phonon5">phonon</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Phonon (Qt5)</title>
+
+    <para><application>Phonon</application> is the multimedia API for KDE5.
+    This is the same version of Phonon used in KDE4, but must be linked
+    usign Qt5 libraries.
+    Phonon needs either the GStreamer or VLC backend.</para>
+
+    &lfs77_checked; &gcc5_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&phonon-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&phonon-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &phonon-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &phonon-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &phonon-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &phonon-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Phonon Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="cmake"/>,
+      <xref linkend="glib2"/>, and
+      <xref linkend="qt5"/> 
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="pulseaudio"/> 
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/phonon"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Phonon</title>
+
+    <para>Make sure <xref linkend="qt4"/> has been built without the bundled
+    <application>Phonon</application> library. This package provides
+    a better implementation.</para>
+
+    <note>
+      <para>
+        If you have both Qt4 and Qt5 installed, be sure to run 
+        <userinput>source setqt4</userinput> before installing Phonon.
+      </para>
+
+    </note>
+  
+    <para>Install <application>Phonon</application> by running the following
+    commands:</para>
+
+<screen><userinput>sed -i "s:BSD_SOURCE:DEFAULT_SOURCE:g" cmake/FindPhononInternal.cmake &amp;&amp;
+
+mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=&kde-dir;                         \
+      -DCMAKE_BUILD_TYPE=Release                                 \
+      -DCMAKE_INSTALL_LIBDIR=lib                                 \
+      -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=FALSE        \
+      -DDBUS_INTERFACES_INSTALL_DIR=/usr/share/dbus-1/interfaces \
+      -Wno-dev .. &amp;&amp;
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <command>sed ... cmake/FindPhononInternal.cmake</command>: Silence
+      a lot of warnings caused by the latest toolchain.
+    </para>
+
+    <para>
+      <parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch is used
+      to apply higher level of the compiler optimizations.
+    </para>
+
+    <para>
+      <parameter>-DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=FALSE</parameter>:
+      This switch ensures that the plugins and mkspecs files get installed in
+      the correct location.
+    </para>
+
+    <para>
+     <parameter>-DDBUS_INTERFACES_INSTALL_DIR=/usr/share/dbus-1/interfaces</parameter>:
+      This switch sets the correct installation path for the 
+      <application>D-Bus</application> interfaces file.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libphonon.so and
+          libphononexperimental.so
+        </seg>
+        <seg>
+          &kde-dir;/include/KDE/Phonon,
+          &kde-dir;/include/phonon,
+          &kde-dir;/lib/cmake/phonon, and
+          &kde-dir;/share/phonon
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+</sect1>