Index: general.ent
===================================================================
--- general.ent	(revision 06bb5bdeda86d827d3c3c44d80f2db9e9c047213)
+++ general.ent	(revision 635e468b4f521b52d0d3d3520d6fdf6a9205436a)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "20">                   <!-- Always 2 digits -->
+<!ENTITY day          "21">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 20th, &year;">
+<!ENTITY releasedate  "May 21th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision 06bb5bdeda86d827d3c3c44d80f2db9e9c047213)
+++ general/genlib/glib2.xml	(revision 635e468b4f521b52d0d3d3520d6fdf6a9205436a)
@@ -7,8 +7,8 @@
   <!ENTITY glib2-download-http "&gnome-download-http;/glib/&glib2-minor;/glib-&glib2-version;.tar.xz">
   <!ENTITY glib2-download-ftp  "&gnome-download-ftp;/glib/&glib2-minor;/glib-&glib2-version;.tar.xz">
-  <!ENTITY glib2-md5sum        "78b6bda8664763a09bd12d864c0ba46c">
-  <!ENTITY glib2-size          "4.5 MB">
-  <!ENTITY glib2-buildsize     "209 MB (add 5 MB for tests)">
-  <!ENTITY glib2-time          "0.5 SBU (add 1.1 SBU for tests; both using parallelism=4)">
+  <!ENTITY glib2-md5sum        "ccc48e58545cac45f5b3df3b8aeaff13">
+  <!ENTITY glib2-size          "4.6 MB">
+  <!ENTITY glib2-buildsize     "169 MB (add 6 MB for tests)">
+  <!ENTITY glib2-time          "0.6 SBU (add 0.5 SBU for tests; both using parallelism=4)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 06bb5bdeda86d827d3c3c44d80f2db9e9c047213)
+++ introduction/welcome/changelog.xml	(revision 635e468b4f521b52d0d3d3520d6fdf6a9205436a)
@@ -43,4 +43,18 @@
     -->
     <listitem>
+      <para>May 21st, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to wireshark-3.2.4. Fixes
+          <ulink url="&blfs-ticket-root;13556">#13558</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to glib-2.64.3. Fixes
+          <ulink url="&blfs-ticket-root;13559">#13559</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>May 20th, 2020</para>
       <itemizedlist>
Index: networking/netutils/wireshark.xml
===================================================================
--- networking/netutils/wireshark.xml	(revision 06bb5bdeda86d827d3c3c44d80f2db9e9c047213)
+++ networking/netutils/wireshark.xml	(revision 635e468b4f521b52d0d3d3520d6fdf6a9205436a)
@@ -7,8 +7,8 @@
   <!ENTITY wireshark-download-http "https://www.wireshark.org/download/src/all-versions/wireshark-&wireshark-version;.tar.xz">
   <!ENTITY wireshark-download-ftp  " ">
-  <!ENTITY wireshark-md5sum        "ff732e4586eebeb61a41abe2fcba7431">
+  <!ENTITY wireshark-md5sum        "4bbee1bdd5b88343733590fabfffddf3">
   <!ENTITY wireshark-size          "30 MB">
-  <!ENTITY wireshark-buildsize     "708 MB (with all optional dependencies available in the BLFS book)">
-  <!ENTITY wireshark-time          "2.2 SBU (with parallelism=4 and all optional dependencies available in the BLFS book)">
+  <!ENTITY wireshark-buildsize     "672 MB (with all optional dependencies available in the BLFS book)">
+  <!ENTITY wireshark-time          "2.6 SBU (with parallelism=4 and all optional dependencies available in the BLFS book)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 06bb5bdeda86d827d3c3c44d80f2db9e9c047213)
+++ packages.ent	(revision 635e468b4f521b52d0d3d3520d6fdf6a9205436a)
@@ -101,5 +101,5 @@
 <!ENTITY gcab-version                 "0.7">
 <!ENTITY glib2-minor                  "2.64">
-<!ENTITY glib2-version                "&glib2-minor;.2">
+<!ENTITY glib2-version                "&glib2-minor;.3">
 <!ENTITY glibmm-version               "2.64.2">
 <!ENTITY gmime-version                "2.6.23">
@@ -598,5 +598,5 @@
 <!ENTITY whois-version                "5.4.3">
 <!ENTITY wicd-version                 "1.7.4">
-<!ENTITY wireshark-version            "3.2.3">  <!-- even minor versions only -->
+<!ENTITY wireshark-version            "3.2.4">  <!-- even minor versions only -->
 
 <!ENTITY wicd-major-version           "1.7">