Index: general/prog/pygments.xml
===================================================================
--- general/prog/pygments.xml	(revision b90e3664f6ac89545f6cb36bbff8ca32143cdaf8)
+++ general/prog/pygments.xml	(revision 00637e128bd45d9f4911f4e69e5cb0acfe16b39f)
@@ -8,7 +8,7 @@
            "https://files.pythonhosted.org/packages/source/P/Pygments/Pygments-&pygments-version;.tar.gz">
   <!ENTITY pygments-download-ftp " ">
-  <!ENTITY pygments-md5sum        "390a49fa0eb5486a795b2b54b9a7b666">
-  <!ENTITY pygments-size          "2.2 MB">
-  <!ENTITY pygments-buildsize     "24 MB">
+  <!ENTITY pygments-md5sum        "9e26c2dff77bf7bf1e7cb16062ac1b3c">
+  <!ENTITY pygments-size          "3.8 MB">
+  <!ENTITY pygments-buildsize     "53 MB">
   <!ENTITY pygments-time          "less than 0.1 SBU">
 ]>
Index: general/sysutils/sysstat.xml
===================================================================
--- general/sysutils/sysstat.xml	(revision b90e3664f6ac89545f6cb36bbff8ca32143cdaf8)
+++ general/sysutils/sysstat.xml	(revision 00637e128bd45d9f4911f4e69e5cb0acfe16b39f)
@@ -7,7 +7,7 @@
   <!ENTITY sysstat-download-http "http://sebastien.godard.pagesperso-orange.fr/sysstat-&sysstat-version;.tar.xz">
   <!ENTITY sysstat-download-ftp  " ">
-  <!ENTITY sysstat-md5sum        "0ffc53f703d950748d459032749721f4">
-  <!ENTITY sysstat-size          "800 KB">
-  <!ENTITY sysstat-buildsize     "26 MB">
+  <!ENTITY sysstat-md5sum        "aef5464af848afe2f425d3cd9afce8eb">
+  <!ENTITY sysstat-size          "840 KB">
+  <!ENTITY sysstat-buildsize     "30 MB">
   <!ENTITY sysstat-time          "0.1 SBU">
 ]>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision b90e3664f6ac89545f6cb36bbff8ca32143cdaf8)
+++ gnome.ent	(revision 00637e128bd45d9f4911f4e69e5cb0acfe16b39f)
@@ -41,5 +41,5 @@
 <!ENTITY libwnck-version                   "3.36.0">
 <!ENTITY evolution-data-server-version     "3.38.4">
-<!ENTITY folks-version                     "0.15.1">
+<!ENTITY folks-version                     "0.15.2">
 <!ENTITY gfbgraph-version                  "0.2.4">
 <!ENTITY tracker-version                   "2.3.6">
@@ -97,5 +97,5 @@
 <!ENTITY gucharmap-version                 "12.0.1">
 <!-- nm-applet moved to Networking Utilities, so it's now in packages.ent -->
-<!ENTITY seahorse-version                  "3.38.0.1">
+<!ENTITY seahorse-version                  "3.38.1">
 <!ENTITY vinagre-version                   "3.22.0">
 <!--<!ENTITY vino-version                      "3.22.0">-->
Index: gnome/applications/seahorse.xml
===================================================================
--- gnome/applications/seahorse.xml	(revision b90e3664f6ac89545f6cb36bbff8ca32143cdaf8)
+++ gnome/applications/seahorse.xml	(revision 00637e128bd45d9f4911f4e69e5cb0acfe16b39f)
@@ -9,5 +9,5 @@
   <!ENTITY seahorse-download-ftp
            "&gnome-download-ftp;/seahorse/&gnome-minor-38;/seahorse-&seahorse-version;.tar.xz">
-  <!ENTITY seahorse-md5sum        "868aef9d2be3fadd74fb7ca76c44b986">
+  <!ENTITY seahorse-md5sum        "e9d710e7c0282e6680869f48bf0a71d2">
   <!ENTITY seahorse-size          "1.6 MB">
   <!ENTITY seahorse-buildsize     "58 MB">
Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision b90e3664f6ac89545f6cb36bbff8ca32143cdaf8)
+++ gnome/platform/folks.xml	(revision 00637e128bd45d9f4911f4e69e5cb0acfe16b39f)
@@ -7,5 +7,5 @@
   <!ENTITY folks-download-http "&gnome-download-http;/folks/0.15/folks-&folks-version;.tar.xz">
   <!ENTITY folks-download-ftp  "&gnome-download-ftp;/folks/0.15/folks-&folks-version;.tar.xz">
-  <!ENTITY folks-md5sum        "5d726cdface2b6c68a0d16e68b2c08c9">
+  <!ENTITY folks-md5sum        "db7d824bcc7b2404c9570451028f1aa6">
   <!ENTITY folks-size          "480 KB">
   <!ENTITY folks-buildsize     "47 MB (add 22 MB for tests)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b90e3664f6ac89545f6cb36bbff8ca32143cdaf8)
+++ introduction/welcome/changelog.xml	(revision 00637e128bd45d9f4911f4e69e5cb0acfe16b39f)
@@ -46,4 +46,24 @@
      <itemizedlist>
        <listitem>
+         <para>[renodr] - Update to sysstat-12.5.3. Fixes
+         <ulink url="&blfs-ticket-root;14662">#14662</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to pygments-2.8.0 (Python Module). Fixes
+         <ulink url="&blfs-ticket-root;14663">#14663</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to folks-0.15.2. Fixes
+         <ulink url="&blfs-ticket-root;14664">#14664</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to seahorse-3.38.1. Fixes
+         <ulink url="&blfs-ticket-root;14665">#14665</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to taglib-1.12 (Security Update). Fixes
+         <ulink url="&blfs-ticket-root;14666">#14666</ulink>.</para>
+       </listitem>
+       <listitem>
          <para>[ken] - Default to disabling the elf-hack in thunderbird,
          to ensure successful builds.</para>
Index: multimedia/libdriv/taglib.xml
===================================================================
--- multimedia/libdriv/taglib.xml	(revision b90e3664f6ac89545f6cb36bbff8ca32143cdaf8)
+++ multimedia/libdriv/taglib.xml	(revision 00637e128bd45d9f4911f4e69e5cb0acfe16b39f)
@@ -7,8 +7,8 @@
   <!ENTITY taglib-download-http "https://taglib.github.io/releases/taglib-&taglib-version;.tar.gz">
   <!ENTITY taglib-download-ftp  " ">
-  <!ENTITY taglib-md5sum        "cee7be0ccfc892fa433d6c837df9522a">
-  <!ENTITY taglib-size          "1.2 MB">
-  <!ENTITY taglib-buildsize     "9.4 MB">
-  <!ENTITY taglib-time          "0.4 SBU">
+  <!ENTITY taglib-md5sum        "4313ed2671234e029b7af8f97c84e9af">
+  <!ENTITY taglib-size          "1.3 MB">
+  <!ENTITY taglib-buildsize     "13 MB">
+  <!ENTITY taglib-time          "0.3 SBU">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision b90e3664f6ac89545f6cb36bbff8ca32143cdaf8)
+++ packages.ent	(revision 00637e128bd45d9f4911f4e69e5cb0acfe16b39f)
@@ -309,5 +309,5 @@
 <!ENTITY sg3_utils-version            "1.45">
 <!ENTITY strigi-version               "0.7.8">
-<!ENTITY sysstat-version              "12.5.2">
+<!ENTITY sysstat-version              "12.5.3">
 <!ENTITY systemd-version              "247">
 <!--<!ENTITY systemd-stable               "6b4878d"> Unused for now -->
@@ -562,5 +562,5 @@
 <!--<!ENTITY pycrypto-version             "2.6.1"> Replaced by pycryptodome -->
 <!ENTITY pycryptodome-version         "3.10.1">
-<!ENTITY pygments-version             "2.7.4">
+<!ENTITY pygments-version             "2.8.0">
 <!ENTITY pygobject2-version           "2.28.7">
 <!ENTITY pygobject3-version           "3.38.0">
@@ -1010,5 +1010,5 @@
 <!ENTITY speex-version                "1.2.0">
 <!ENTITY speexdsp-version             "1.2.0">
-<!ENTITY taglib-version               "1.11.1">
+<!ENTITY taglib-version               "1.12">
 <!ENTITY v4l-utils-version            "1.20.0">
 <!ENTITY x264-version                 "20200819">