Index: general/genlib/gmime.xml
===================================================================
--- general/genlib/gmime.xml	(revision 17b685f1532e997392b19b571ac6268689c54e01)
+++ general/genlib/gmime.xml	(revision 0639bb657e7b8149944d10b18be7904ccb79b77e)
@@ -11,5 +11,5 @@
   <!ENTITY gmime-buildsize     "28 MB (with tests)">
   <!ENTITY gmime-time          "0.5 SBU (with tests)">
-  <!-- ^^^ Noticably larger! ^^^ -->
+  <!-- ^^^ Noticeably larger! ^^^ -->
 ]>
 
Index: general/genlib/nodejs.xml
===================================================================
--- general/genlib/nodejs.xml	(revision 17b685f1532e997392b19b571ac6268689c54e01)
+++ general/genlib/nodejs.xml	(revision 0639bb657e7b8149944d10b18be7904ccb79b77e)
@@ -87,5 +87,5 @@
     </note>
 
-    <bridgehead renderas="sect3">Additonal Downloads</bridgehead>
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
Index: general/genutils/highlight.xml
===================================================================
--- general/genutils/highlight.xml	(revision 17b685f1532e997392b19b571ac6268689c54e01)
+++ general/genutils/highlight.xml	(revision 0639bb657e7b8149944d10b18be7904ccb79b77e)
@@ -81,5 +81,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <!-- make apidocs fails because ther is no Doxyfile
+      <!-- make apidocs fails because there is no Doxyfile
       <xref linkend="doxygen"/> (to build the API documentation) and -->
       <xref linkend="qt5"/> (to build the GUI front-end)
Index: general/genutils/pinentry.xml
===================================================================
--- general/genutils/pinentry.xml	(revision 17b685f1532e997392b19b571ac6268689c54e01)
+++ general/genutils/pinentry.xml	(revision 0639bb657e7b8149944d10b18be7904ccb79b77e)
@@ -81,5 +81,5 @@
       <xref linkend="gtk3"/>,
       <!-- <xref linkend="libcap-pam"/>, This is in LFS already. PAM is not
-      neccessary. -->
+      necessary. -->
       <xref linkend="libsecret"/>, and
       <xref linkend="qt5"/>
Index: general/prog/gdb.xml
===================================================================
--- general/prog/gdb.xml	(revision 17b685f1532e997392b19b571ac6268689c54e01)
+++ general/prog/gdb.xml	(revision 0639bb657e7b8149944d10b18be7904ccb79b77e)
@@ -150,5 +150,5 @@
         <para>
           If run remotely over an ssh connection, the tests will hang 
-          and require a hard (power cycle) reset of the sytem.
+          and require a hard (power cycle) reset of the system.
         </para>
       </listitem>
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision 17b685f1532e997392b19b571ac6268689c54e01)
+++ general/prog/perl-modules.xml	(revision 0639bb657e7b8149944d10b18be7904ccb79b77e)
@@ -658,5 +658,5 @@
                   <!-- Test2::Bundle::Extended and Test2::Require::Module are from Test2-Suite -->
                   <listitem><literallayout><ulink url="http://search.cpan.org/dist/Test2-Suite/">Test2::Suite</ulink>
-(http://seach.cpan.org/dist/Test2-Suite/)</literallayout>
+(http://search.cpan.org/dist/Test2-Suite/)</literallayout>
                     <itemizedlist> <!-- deps for Test2::Suite -->
                       <listitem><literallayout><ulink url="http://search.cpan.org/dist/Importer/">Importer</ulink>
@@ -1366,5 +1366,5 @@
               <listitem><literallayout><ulink url="http://search.cpan.org/dist/Net-SSLeay/">Net::SSLeay</ulink>
 (http://search.cpan.org/dist/Net-SSLeay/)
-When scripting, pipe the <command>perl Makefile.PL</command> command through <command>yes "" |</command>, since some user input is seeked</literallayout>
+When scripting, pipe the <command>perl Makefile.PL</command> command through <command>yes "" |</command>, since some user input is sought</literallayout>
               </listitem>
             </itemizedlist>
@@ -2078,5 +2078,5 @@
           <listitem><literallayout><ulink url="http://search.cpan.org/dist/MIME-Charset/">MIME::Charset</ulink>
 (http://search.cpan.org/dist/MIME-Charset/)
-When scripting, pipe the <command>perl Makefile.PL</command> command through <command>yes "" |</command>, since some user input is seeked</literallayout>
+When scripting, pipe the <command>perl Makefile.PL</command> command through <command>yes "" |</command>, since some user input is sought</literallayout>
           </listitem>
           <listitem>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision 17b685f1532e997392b19b571ac6268689c54e01)
+++ general/prog/php.xml	(revision 0639bb657e7b8149944d10b18be7904ccb79b77e)
@@ -290,5 +290,5 @@
     <para>
       The default configuration files for the fastCGI process manager are
-      installed only if they do not already exist on the sytem. If this is
+      installed only if they do not already exist on the system. If this is
       the first installation, they should be renamed, as the
       <systemitem class='username'>root</systemitem> user:
Index: general/prog/rust.xml
===================================================================
--- general/prog/rust.xml	(revision 17b685f1532e997392b19b571ac6268689c54e01)
+++ general/prog/rust.xml	(revision 0639bb657e7b8149944d10b18be7904ccb79b77e)
@@ -165,5 +165,5 @@
     <para>
       <command>--llvm-root=/opt/llvm3 --enable-llvm-link-shared</command>:
-      This tells rust to use the system verison of llvm3 installed in
+      This tells rust to use the system version of llvm3 installed in
       <filename class="directory">/opt/llvm3</filename>, linking to the
       shared libraries.
Index: general/prog/valgrind.xml
===================================================================
--- general/prog/valgrind.xml	(revision 17b685f1532e997392b19b571ac6268689c54e01)
+++ general/prog/valgrind.xml	(revision 0639bb657e7b8149944d10b18be7904ccb79b77e)
@@ -139,5 +139,5 @@
       are known to hang also, depending on the version of glibc. Problematic
       tests can be disabled by changing the <userinput>prereq:</userinput> line
-      in the correponding <filename>.vgtest</filename> file to
+      in the corresponding <filename>.vgtest</filename> file to
       <userinput>prereq: false</userinput>. For example:
     </para>