Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ general/sysutils/upower.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libwnck.xml
===================================================================
--- gnome/platform/libwnck.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ gnome/platform/libwnck.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ gnome/platform/vte.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxappearance.xml
===================================================================
--- lxde/desktop/lxappearance.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ lxde/desktop/lxappearance.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/mousepad.xml
===================================================================
--- postlfs/editors/mousepad.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ postlfs/editors/mousepad.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/ps/epdfview.xml
===================================================================
--- pst/ps/epdfview.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ pst/ps/epdfview.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtksourceview.xml
===================================================================
--- x/lib/gtksourceview.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ x/lib/gtksourceview.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/libxklavier.xml
===================================================================
--- x/lib/libxklavier.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ x/lib/libxklavier.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ x/lib/qt5.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/qtwebengine.xml
===================================================================
--- x/lib/qtwebengine.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ x/lib/qtwebengine.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <note>
Index: xfce/apps/ristretto.xml
===================================================================
--- xfce/apps/ristretto.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/apps/ristretto.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfce4-notifyd.xml
===================================================================
--- xfce/apps/xfce4-notifyd.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/apps/xfce4-notifyd.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfce4-terminal.xml
===================================================================
--- xfce/apps/xfce4-terminal.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/apps/xfce4-terminal.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/exo.xml
===================================================================
--- xfce/core/exo.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/exo.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/garcon.xml
===================================================================
--- xfce/core/garcon.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/garcon.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4ui.xml
===================================================================
--- xfce/core/libxfce4ui.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/libxfce4ui.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4util.xml
===================================================================
--- xfce/core/libxfce4util.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/libxfce4util.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar-volman.xml
===================================================================
--- xfce/core/thunar-volman.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/thunar-volman.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar.xml
===================================================================
--- xfce/core/thunar.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/thunar.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -42,5 +42,5 @@
     Nautilus).-->
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/tumbler.xml
===================================================================
--- xfce/core/tumbler.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/tumbler.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-appfinder.xml
===================================================================
--- xfce/core/xfce4-appfinder.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/xfce4-appfinder.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-panel.xml
===================================================================
--- xfce/core/xfce4-panel.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/xfce4-panel.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-power-manager.xml
===================================================================
--- xfce/core/xfce4-power-manager.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/xfce4-power-manager.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-session.xml
===================================================================
--- xfce/core/xfce4-session.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/xfce4-session.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-settings.xml
===================================================================
--- xfce/core/xfce4-settings.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/xfce4-settings.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfconf.xml
===================================================================
--- xfce/core/xfconf.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/xfconf.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfdesktop.xml
===================================================================
--- xfce/core/xfdesktop.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/xfdesktop.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfwm4.xml
===================================================================
--- xfce/core/xfwm4.xml	(revision c5078ea982bc53d70f53dd5737b096ef116d7757)
+++ xfce/core/xfwm4.xml	(revision 640ece989f3ed4eda638a6712401f1ca7e6180d1)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs91_checked;
+    &lfs10_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>