Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision fed4c8c4e90fdfb14b8e5e79f8eba57a3caa1543)
+++ general/genlib/glib2.xml	(revision 642e43dd8c052f9bdc3d8fb8dfdc94163bd99ad3)
@@ -7,8 +7,8 @@
   <!ENTITY glib2-download-http "&gnome-download-http;/glib/&glib2-minor;/glib-&glib2-version;.tar.xz">
   <!ENTITY glib2-download-ftp  "&gnome-download-ftp;/glib/&glib2-minor;/glib-&glib2-version;.tar.xz">
-  <!ENTITY glib2-md5sum        "07ba0e946bf6dcad36388675d2f2876f">
-  <!ENTITY glib2-size          "4.8 MB">
-  <!ENTITY glib2-buildsize     "104 MB (add 6 MB for tests)">
-  <!ENTITY glib2-time          "0.6 SBU (add 1.0 SBU for tests; both using parallelism=4)">
+  <!ENTITY glib2-md5sum        "4b08228707d28a9f23f7369902f4b166">
+  <!ENTITY glib2-size          "4.6 MB">
+  <!ENTITY glib2-buildsize     "130 MB (add 6 MB for tests)">
+  <!ENTITY glib2-time          "0.5 SBU (add 0.5 SBU for tests; both using parallelism=4)">
 ]>
 
@@ -214,5 +214,5 @@
       To test the results, after having installed the package, issue:
       <command>ninja test</command>. One test named
-      <literal>gio / file</literal> is known to fail if the test is ran as
+      <literal>gio / file</literal> is known to fail if the test is run as
       the <systemitem class="username">root</systemitem> user.
       <!-- glib issue #1954: -->
@@ -229,4 +229,5 @@
       <!-- with 2.60.4 on systemd, all tests pass. -->
       <!-- with 2.64.1 on sysV, all tests pass. -->
+      <!-- with 2.70.0 on sysV, all tests pass. -->
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fed4c8c4e90fdfb14b8e5e79f8eba57a3caa1543)
+++ introduction/welcome/changelog.xml	(revision 642e43dd8c052f9bdc3d8fb8dfdc94163bd99ad3)
@@ -46,4 +46,12 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to glib-networking-2.70.0. Fixes
+          <ulink url="&blfs-ticket-root;15552">#15552</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to glib-2.70.0. Fixes
+          <ulink url="&blfs-ticket-root;15556">#15556</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to bind9-9.16.21. Fixes
           <ulink url="&blfs-ticket-root;15541">#15541</ulink>.</para>
Index: networking/netlibs/glib-networking.xml
===================================================================
--- networking/netlibs/glib-networking.xml	(revision fed4c8c4e90fdfb14b8e5e79f8eba57a3caa1543)
+++ networking/netlibs/glib-networking.xml	(revision 642e43dd8c052f9bdc3d8fb8dfdc94163bd99ad3)
@@ -6,11 +6,11 @@
 
   <!ENTITY glib-networking-download-http
-    "&gnome-download-http;/glib-networking/2.68/glib-networking-&glib-networking-version;.tar.xz">
+    "&gnome-download-http;/glib-networking/2.70/glib-networking-&glib-networking-version;.tar.xz">
   <!ENTITY glib-networking-download-ftp " ">
 <!--  <!ENTITY glib-networking-download-ftp
     "&gnome-download-ftp;/glib-networking/2.66/glib-networking-&glib-networking-version;.tar.xz"> -->
-  <!ENTITY glib-networking-md5sum        "5c3b020db7d0937f75aac7654c38343f">
-  <!ENTITY glib-networking-size          "236 KB">
-  <!ENTITY glib-networking-buildsize     "5.2 MB (with tests)">
+  <!ENTITY glib-networking-md5sum        "1b3c94e2c7d5c61756cbf2a4750e47f7">
+  <!ENTITY glib-networking-size          "256 KB">
+  <!ENTITY glib-networking-buildsize     "6.1 MB (with tests)">
   <!ENTITY glib-networking-time          "less than 0.1 SBU (with tests)">
 ]>
@@ -116,11 +116,4 @@
     to use the GnuTLS backend on Linux, we will continue using the GnuTLS
     backend and not mention the OpenSSL backend to prevent confusion. -->
-    <!--
-    <para>
-      First, apply a patch to fix a problem introduced by API changes in GnuTLS:
-    </para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../glib-networking-&glib-networking-version;-upstream_fixes-1.patch</userinput></screen>
--->
 
     <para>
@@ -132,6 +125,6 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr          \
-      --buildtype=release    &amp;&amp;
+meson --prefix=/usr       \
+      --buildtype=release &amp;&amp;
 ninja</userinput></screen>
 
@@ -139,14 +132,4 @@
       To test the results, issue: <command>ninja test</command>.
     </para>
-
-    <!-- glib-networking/#70 -->
-    <!-- The patch fixes this problem, and the connection-gnutls failure was
-    indicative of a complete failure of the GnuTLS backend to use certificates.
-    This broke WebKit and libsoup, and has since been patched. -->
-    <!--
-    <para>
-      The test <emphasis>connection-gnutls</emphasis> is known to fail.
-    </para>
-    -->
 
     <para>
@@ -166,39 +149,4 @@
   </sect2>
 
-  <!-- This isn't needed anymore and breaks applications which use it.
-  <sect2 role="configuration">
-    <title>Configuring Glib-networking</title>
-    <!- - This breaks the libsoup tests - ->
-
-    <sect3 id="glib-networking-config">
-      <title>Config Files</title>
-      <para>
-        <filename>/etc/profile.d/gio.sh</filename>
-      </para>
-
-      <indexterm zone="glib-networking glib-networking-config">
-        <primary
-        sortas="e-etc-profile.d-gio.sh">/etc/profile.d/gio.sh</primary>
-      </indexterm>
-    </sect3>
-
-    <sect3><title>Configuration Information</title>
-
-      <para>
-        For using the PKCS #11 modules, the <envar>GIO_USE_TLS</envar> variable
-        should be set in the environment. This can be added to the Bash Startup
-        Files (as the <systemitem class="username">root</systemitem> user):
-      </para>
-
-<screen role="root"><userinput>cat &gt; /etc/profile.d/gio.sh &lt;&lt; "EOF"
-<literal># Begin gio.sh
-
-export GIO_USE_TLS=gnutls-pkcs11
-
-# End gio.sh</literal>
-EOF</userinput></screen>
-    </sect3>
-  </sect2>
--->
   <sect2 role="content">
     <title>Contents</title>
Index: packages.ent
===================================================================
--- packages.ent	(revision fed4c8c4e90fdfb14b8e5e79f8eba57a3caa1543)
+++ packages.ent	(revision 642e43dd8c052f9bdc3d8fb8dfdc94163bd99ad3)
@@ -95,6 +95,6 @@
 <!ENTITY fftw-version                 "3.3.10">
 <!ENTITY gcab-version                 "0.7">
-<!ENTITY glib2-minor                  "2.68">
-<!ENTITY glib2-version                "&glib2-minor;.4">
+<!ENTITY glib2-minor                  "2.70">
+<!ENTITY glib2-version                "&glib2-minor;.0">
 <!ENTITY glibmm-version               "2.66.1">
 <!ENTITY gmime-version                "2.6.23">
@@ -626,5 +626,5 @@
 <!ENTITY curl-version                 "7.79.0">
 <!ENTITY geoclue2-version             "2.5.7">
-<!ENTITY glib-networking-version      "2.68.2">
+<!ENTITY glib-networking-version      "2.70.0">
 <!ENTITY ldns-version                 "1.7.1">
 <!ENTITY libevent-version             "2.1.12">