Index: general/prog/tcl.xml
===================================================================
--- general/prog/tcl.xml	(revision 19448df894e8728670c3536fffebdae9031715d6)
+++ general/prog/tcl.xml	(revision 643ea8d72e646417461a0c1a75c8afefdc5505f8)
@@ -7,11 +7,11 @@
   <!ENTITY tcl-download-http "&sourceforge-repo;/tcl/tcl&tcl-version;-src.tar.gz">
   <!ENTITY tcl-download-ftp  " ">
-  <!ENTITY tcl-md5sum        "aae4b701ee527c6e4e1a6f9c7399882e">
-  <!ENTITY tcl-size          "8.4 MB">
-  <!ENTITY tcl-buildsize     "60 MB (includes documentation installation)">
-  <!ENTITY tcl-time          "0.8 SBU">
+  <!ENTITY tcl-md5sum        "8103eaf6d71acb716a64224492f09d5f">
+  <!ENTITY tcl-size          "8.5 MB">
+  <!ENTITY tcl-buildsize     "79 MB (includes documentation installation)">
+  <!ENTITY tcl-time          "0.9 SBU (adittional 1.5 SBU for the tests)">
 
   <!ENTITY tcl-doc-download  "&sourceforge-repo;/tcl/tcl&tcl-version;-html.tar.gz">
-  <!ENTITY tcl-doc-md5sum    "e5d92d4a74ecc77456b092e981112560">
+  <!ENTITY tcl-doc-md5sum    "75019542fa735eb0c26e385b1a41296c">
   <!ENTITY tcl-doc-size      "1.2 MB">
 
@@ -215,15 +215,15 @@
         </seg>
         <seg>
+          /usr/lib/itcl4.0.1,
+          /usr/lib/sqlite3.8.6,
           /usr/lib/tcl8,
-          /usr/lib/thread2.7.0,
-          /usr/lib/tdbcodbc1.0.0,
-          /usr/lib/tdbc1.0.0,
-          /usr/lib/sqlite3.7.15.1,
-          /usr/lib/tdbcpostgres1.0.0,
           /usr/lib/tcl&tcl-ver;,
-          /usr/lib/tdbcmysql1.0.0,
-          /usr/lib/itcl4.0.0,
-          /usr/share/man/mann and optionally
-          /usr/share/doc/&tcl-version;
+          /usr/lib/tdbc1.0.1,
+          /usr/lib/tdbcmysql1.0.1,
+          /usr/lib/tdbcodbc1.0.1,
+          /usr/lib/tdbcpostgres1.0.1,
+          /usr/lib/thread2.7.1,
+          /usr/share/doc/&tcl-version;, and
+          /usr/share/man/mann
         </seg>
       </seglistitem>
Index: general/prog/tk.xml
===================================================================
--- general/prog/tk.xml	(revision 19448df894e8728670c3536fffebdae9031715d6)
+++ general/prog/tk.xml	(revision 643ea8d72e646417461a0c1a75c8afefdc5505f8)
@@ -7,5 +7,5 @@
   <!ENTITY tk-download-http "&sourceforge-repo;/tcl/tk&tk-version;-src.tar.gz">
   <!ENTITY tk-download-ftp  " ">
-  <!ENTITY tk-md5sum        "63f21c3a0e0cefbd854b4eb29b129ac6">
+  <!ENTITY tk-md5sum        "39782d44cf924827019a2828d54a80e7">
   <!ENTITY tk-size          "4.1 MB">
   <!ENTITY tk-buildsize     "24 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 19448df894e8728670c3536fffebdae9031715d6)
+++ introduction/welcome/changelog.xml	(revision 643ea8d72e646417461a0c1a75c8afefdc5505f8)
@@ -48,4 +48,26 @@
       <para>August 27th, 2014</para>
       <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to menu-cache-0.6.1. Fixes
+          <ulink url="&blfs-ticket-root;5438">#5438</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to tk8.6.2. Fixes
+          <ulink url="&blfs-ticket-root;5437">#5437</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to tcl8.6.2. Fixes
+          <ulink url="&blfs-ticket-root;5436">#5436</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to LVM2.2.02.110. Fixes
+          <ulink url="&blfs-ticket-root;5435">#5435</ulink></para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Cyrus-sasl-2.1.26: Various package fixes,
+          including autotools fixes, plugin fixes, security fixes, parallel
+          build fixes. Thanks to Armin K and Christopher G, from systemd branch.
+          Fixes <ulink url="&blfs-ticket-root;5380">#5380</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to acpid-2.0.23. Fixes
Index: lxde/desktop/menu-cache.xml
===================================================================
--- lxde/desktop/menu-cache.xml	(revision 19448df894e8728670c3536fffebdae9031715d6)
+++ lxde/desktop/menu-cache.xml	(revision 643ea8d72e646417461a0c1a75c8afefdc5505f8)
@@ -7,7 +7,7 @@
   <!ENTITY menu-cache-download-http "&sourceforge-repo;/lxde/menu-cache-&menu-cache-version;.tar.xz">
   <!ENTITY menu-cache-download-ftp  " ">
-  <!ENTITY menu-cache-md5sum        "f1bbe2281feb4e78c401ca8d7ed46306">
+  <!ENTITY menu-cache-md5sum        "2bb9b83282ae671df1d2f5b617ca1949">
   <!ENTITY menu-cache-size          "280 KB">
-  <!ENTITY menu-cache-buildsize     "4.1 MB">
+  <!ENTITY menu-cache-buildsize     "4.1 MB (additional 0.5 MB to build and install the API documentation)">
   <!ENTITY menu-cache-time          "less than 0.1 SBU">
 ]>
@@ -145,5 +145,4 @@
         <seg>
           /usr/include/menu-cache,
-          /usr/lib/menu-cache,
           /usr/libexec/menu-cache and
           /usr/share/gtk-doc/html/libmenu-cache
Index: packages.ent
===================================================================
--- packages.ent	(revision 19448df894e8728670c3536fffebdae9031715d6)
+++ packages.ent	(revision 643ea8d72e646417461a0c1a75c8afefdc5505f8)
@@ -39,5 +39,5 @@
 <!ENTITY fuse-version                 "2.9.3">
 <!ENTITY jfsutils-version             "1.1.15">
-<!ENTITY lvm2-version                 "2.02.109">
+<!ENTITY lvm2-version                 "2.02.110">
 <!ENTITY mdadm-version                "3.3.2">
 <!ENTITY ntfs-3g-version              "2014.2.15">
@@ -267,6 +267,6 @@
 <!ENTITY subversion-version           "1.8.10">
 <!ENTITY swig-version                 "3.0.2">
-<!ENTITY tcl-version                  "8.6.1">
-<!ENTITY tk-version                   "8.6.1">
+<!ENTITY tcl-version                  "8.6.2">
+<!ENTITY tk-version                   "8.6.2">
 <!ENTITY vala-major-version           "0.24">  <!-- even minors only -->
 <!ENTITY vala-version                 "&vala-major-version;.0">
@@ -527,5 +527,5 @@
 <!ENTITY lxmenu-data-version          "0.1.2">
 <!ENTITY lxde-icon-theme-version      "0.5.0">
-<!ENTITY menu-cache-version           "0.6.0">
+<!ENTITY menu-cache-version           "0.6.1">
 <!ENTITY libfm-version                "1.2.2.1">
 <!ENTITY pcmanfm-version              "1.2.2">
Index: postlfs/filesystems/lvm2.xml
===================================================================
--- postlfs/filesystems/lvm2.xml	(revision 19448df894e8728670c3536fffebdae9031715d6)
+++ postlfs/filesystems/lvm2.xml	(revision 643ea8d72e646417461a0c1a75c8afefdc5505f8)
@@ -7,7 +7,7 @@
   <!ENTITY lvm2-download-http " ">
   <!ENTITY lvm2-download-ftp  "ftp://sources.redhat.com/pub/lvm2/LVM2.&lvm2-version;.tgz">
-  <!ENTITY lvm2-md5sum        "8fec006327b266fa611b165d8ec0b008">
-  <!ENTITY lvm2-size          "1.4 MB">
-  <!ENTITY lvm2-buildsize     "24 MB (additional 8 MB to run the test suite)">
+  <!ENTITY lvm2-md5sum        "a69534060d67f8a5a3a4cc0690742d2d">
+  <!ENTITY lvm2-size          "1.5 MB">
+  <!ENTITY lvm2-buildsize     "27 MB (additional 8 MB to run the test suite)">
   <!ENTITY lvm2-time          "0.4 SBU (additional 5.4 SBU to run the test suite)">
 ]>
Index: postlfs/security/cyrus-sasl.xml
===================================================================
--- postlfs/security/cyrus-sasl.xml	(revision 19448df894e8728670c3536fffebdae9031715d6)
+++ postlfs/security/cyrus-sasl.xml	(revision 643ea8d72e646417461a0c1a75c8afefdc5505f8)
@@ -81,5 +81,5 @@
         <para>
           Required patch:
-          <ulink url="&patch-root;/cyrus-sasl-&cyrus-sasl-version;-fixes-1.patch"/>
+          <ulink url="&patch-root;/cyrus-sasl-&cyrus-sasl-version;-fixes-3.patch"/>
        </para>
       </listitem>
@@ -119,10 +119,4 @@
     <title>Installation of Cyrus SASL</title>
 
-    <note>
-      <para>
-        This package does not support parallel build.
-      </para>
-    </note>
-
     <para>
       Install <application>Cyrus SASL</application> by
@@ -130,15 +124,11 @@
     </para>
 
-<screen><userinput>patch -Np1 -i ../cyrus-sasl-&cyrus-sasl-version;-fixes-1.patch &amp;&amp;
+<screen><userinput>patch -Np1 -i ../cyrus-sasl-&cyrus-sasl-version;-fixes-3.patch &amp;&amp;
 autoreconf -fi &amp;&amp;
-pushd saslauthd &amp;&amp;
-autoreconf -fi &amp;&amp;
-popd &amp;&amp;
 ./configure --prefix=/usr        \
             --sysconfdir=/etc    \
             --enable-auth-sasldb \
             --with-dbpath=/var/lib/sasl/sasldb2 \
-            --with-saslauthd=/var/run/saslauthd \
-            CFLAGS=-fPIC &amp;&amp;
+            --with-saslauthd=/var/run/saslauthd &amp;&amp;
 make -j1</userinput></screen>
 
@@ -179,9 +169,4 @@
       directory <filename class="directory">/var/run/saslauthd</filename>
       for variable run-time data.
-    </para>
-
-    <para>
-      <parameter>CFLAGS=-fPIC</parameter>: This ensures that the package can build
-      on x86_64.
     </para>
 