Index: general.ent
===================================================================
--- general.ent	(revision 1c429edbc4cf1ecabdd427e888b30474dbc3c5c7)
+++ general.ent	(revision 645dfa3c5220eb6949ca6d8594398653cf646d4b)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "20">                   <!-- Always 2 digits -->
+<!ENTITY day          "21">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 20th, &year;">
+<!ENTITY releasedate  "December 21st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/babl.xml
===================================================================
--- general/graphlib/babl.xml	(revision 1c429edbc4cf1ecabdd427e888b30474dbc3c5c7)
+++ general/graphlib/babl.xml	(revision 645dfa3c5220eb6949ca6d8594398653cf646d4b)
@@ -7,8 +7,8 @@
   <!ENTITY babl-download-http "https://download.gimp.org/pub/babl/0.1/babl-&babl-version;.tar.xz">
   <!ENTITY babl-download-ftp  " ">
-  <!ENTITY babl-md5sum        "b1a85d1f3d710407164848708f1f49f1">
-  <!ENTITY babl-size          "292 KB">
-  <!ENTITY babl-buildsize     "21 MB (with tests)">
-  <!ENTITY babl-time          "0.1 SBU (Using parallelism=4; with tests)">
+  <!ENTITY babl-md5sum        "b40aea9b42f7245dbe36bcaa4170da93">
+  <!ENTITY babl-size          "296 KB">
+  <!ENTITY babl-buildsize     "16 MB (with tests)">
+  <!ENTITY babl-time          "0.2 SBU (with tests)">
 ]>
 
Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision 1c429edbc4cf1ecabdd427e888b30474dbc3c5c7)
+++ general/graphlib/gegl.xml	(revision 645dfa3c5220eb6949ca6d8594398653cf646d4b)
@@ -7,7 +7,7 @@
   <!ENTITY gegl-download-http "https://download.gimp.org/pub/gegl/0.4/gegl-&gegl-version;.tar.xz">
   <!ENTITY gegl-download-ftp  " ">
-  <!ENTITY gegl-md5sum        "4756ac2a8cfca8591f12dbf3f6701b14">
+  <!ENTITY gegl-md5sum        "4111e0085c7077a506a67dc14d3514ed">
   <!ENTITY gegl-size          "4.7 MB">
-  <!ENTITY gegl-buildsize     "84 MB (with tests)">
+  <!ENTITY gegl-buildsize     "89 MB (with tests)">
   <!ENTITY gegl-time          "0.5 SBU (Using parallelism=4; with tests)">
 ]>
Index: general/graphlib/libtiff.xml
===================================================================
--- general/graphlib/libtiff.xml	(revision 1c429edbc4cf1ecabdd427e888b30474dbc3c5c7)
+++ general/graphlib/libtiff.xml	(revision 645dfa3c5220eb6949ca6d8594398653cf646d4b)
@@ -10,7 +10,7 @@
            "ftp://ftp.remotesensing.org/libtiff/tiff-&libtiff-version;.tar.gz">-->
   <!ENTITY libtiff-download-ftp  " ">
-  <!ENTITY libtiff-md5sum        "2165e7aba557463acc0664e71a3ed424">
-  <!ENTITY libtiff-size          "2.3 MB">
-  <!ENTITY libtiff-buildsize     "15 MB (with tests)">
+  <!ENTITY libtiff-md5sum        "2bbf6db1ddc4a59c89d6986b368fc063">
+  <!ENTITY libtiff-size          "2.7 MB">
+  <!ENTITY libtiff-buildsize     "16 MB (with tests)">
   <!ENTITY libtiff-time          "less than 0.1 SBU (with tests)">
 ]>
Index: general/prog/python-dbusmock.xml
===================================================================
--- general/prog/python-dbusmock.xml	(revision 1c429edbc4cf1ecabdd427e888b30474dbc3c5c7)
+++ general/prog/python-dbusmock.xml	(revision 645dfa3c5220eb6949ca6d8594398653cf646d4b)
@@ -7,7 +7,7 @@
   <!ENTITY dbusmock-download-http "https://github.com/martinpitt/python-dbusmock/releases/download/&dbusmock-version;/python-dbusmock-&dbusmock-version;.tar.gz">
   <!ENTITY dbusmock-download-ftp  " ">
-  <!ENTITY dbusmock-md5sum        "565aaae672e065c9c17e7fafd1843701">
+  <!ENTITY dbusmock-md5sum        "136e255d2241ea40a271a60389f55fdd">
   <!ENTITY dbusmock-size          "72 KB">
-  <!ENTITY dbusmock-buildsize     "888 KB">
+  <!ENTITY dbusmock-buildsize     "880 KB">
   <!ENTITY dbusmock-time          "less than 0.1 SBU">
 ]>
Index: general/sysutils/elogind.xml
===================================================================
--- general/sysutils/elogind.xml	(revision 1c429edbc4cf1ecabdd427e888b30474dbc3c5c7)
+++ general/sysutils/elogind.xml	(revision 645dfa3c5220eb6949ca6d8594398653cf646d4b)
@@ -7,8 +7,8 @@
   <!ENTITY elogind-download-http "https://github.com/elogind/elogind/archive/v&elogind-version;/elogind-&elogind-version;.tar.gz">
   <!ENTITY elogind-download-ftp  " ">
-  <!ENTITY elogind-md5sum        "e635fb5ae931685fc8dc61c27d4fb619">
-  <!ENTITY elogind-size          "1.3 MB">
-  <!ENTITY elogind-buildsize     "58 MB (add 1.5 MB for tests)">
-  <!ENTITY elogind-time          "0.4 SBU (at -j1)">
+  <!ENTITY elogind-md5sum        "0551dad32c3280eeba36a396e101c512">
+  <!ENTITY elogind-size          "1.5 MB">
+  <!ENTITY elogind-buildsize     "52 MB (with tests)">
+  <!ENTITY elogind-time          "0.4 SBU">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1c429edbc4cf1ecabdd427e888b30474dbc3c5c7)
+++ introduction/welcome/changelog.xml	(revision 645dfa3c5220eb6949ca6d8594398653cf646d4b)
@@ -43,4 +43,34 @@
     -->
     <listitem>
+      <para>December 21st, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gegl-0.4.28. Fixes
+          <ulink url="&blfs-ticket-root;144012">#144012</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to babl-0.1.84. Fixes
+          <ulink url="&blfs-ticket-root;144017">#144017</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to sudo-1.9.4p2. Fixes
+          <ulink url="&blfs-ticket-root;144011">#144011</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to python-dbusmock-0.20.0. Fixes
+          <ulink url="&blfs-ticket-root;14409">#14409</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to elogind-246.9.1. Fixes
+          <ulink url="&blfs-ticket-root;14408">#14408</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tiff-4.2.0. Fixes
+          <ulink url="&blfs-ticket-root;14407">#14407</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 20th, 2020</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 1c429edbc4cf1ecabdd427e888b30474dbc3c5c7)
+++ packages.ent	(revision 645dfa3c5220eb6949ca6d8594398653cf646d4b)
@@ -41,5 +41,5 @@
 <!ENTITY ssh-askpass-version          "&openssh-version;">
 <!ENTITY stunnel-version              "5.57">
-<!ENTITY sudo-version                 "1.9.4p1">
+<!ENTITY sudo-version                 "1.9.4p2">
 <!ENTITY tripwire-version             "2.4.3.7">
 <!ENTITY volume_key-version           "0.3.12">
@@ -203,10 +203,10 @@
 <!-- Chapter 10 -->
 <!ENTITY aalib-version                "1.4rc5">
-<!ENTITY babl-version                 "0.1.78">
+<!ENTITY babl-version                 "0.1.84">
 <!ENTITY exiv2-version                "0.27.3">
 <!ENTITY freetype2-version            "2.10.4">
 <!ENTITY fontconfig-version           "2.13.1">  <!-- stable lt .90 micro version -->
 <!ENTITY fribidi-version              "1.0.9">
-<!ENTITY gegl-version                 "0.4.26">
+<!ENTITY gegl-version                 "0.4.28">
 <!ENTITY giflib-version               "5.2.1">
 <!ENTITY glm-version                  "0.9.9.8">
@@ -226,5 +226,5 @@
 <!ENTITY libraw-version               "0.20.2">
 <!ENTITY libspiro-version             "20200505">
-<!ENTITY libtiff-version              "4.1.0">
+<!ENTITY libtiff-version              "4.2.0">
 <!ENTITY libwebp-version              "1.1.0">
 <!ENTITY mypaint-brushes-version      "1.3.0"> <!-- version 1 only -->
@@ -285,5 +285,5 @@
 <!ENTITY cups-pk-helper-version       "0.2.6">
 <!ENTITY dbus-version                 "1.12.20">   <!-- Even minors only -->
-<!ENTITY elogind-version              "243.7">
+<!ENTITY elogind-version              "246.9.1">
 <!ENTITY blocaled-version             "0.3">
 <!ENTITY eudev-version                "1.7">
@@ -546,5 +546,5 @@
 <!ENTITY docutils-version             "0.16">
 <!ENTITY dbus-python-version          "1.2.16">
-<!ENTITY dbusmock-version             "0.19">
+<!ENTITY dbusmock-version             "0.20.0">
 <!-- <!ENTITY funcsigs-version             "1.0.2"> -->
 <!ENTITY decorator-version            "4.4.2">
Index: postlfs/security/sudo.xml
===================================================================
--- postlfs/security/sudo.xml	(revision 1c429edbc4cf1ecabdd427e888b30474dbc3c5c7)
+++ postlfs/security/sudo.xml	(revision 645dfa3c5220eb6949ca6d8594398653cf646d4b)
@@ -7,5 +7,5 @@
   <!ENTITY sudo-download-http "http://www.sudo.ws/dist/sudo-&sudo-version;.tar.gz">
   <!ENTITY sudo-download-ftp  "ftp://ftp.sudo.ws/pub/sudo/sudo-&sudo-version;.tar.gz">
-  <!ENTITY sudo-md5sum        "f332f458ba1d2aa479588bd6a9f8abdd">
+  <!ENTITY sudo-md5sum        "d7fab0f99b9b2fd38df90b0788fc8dc9">
   <!ENTITY sudo-size          "3.8 MB">
   <!ENTITY sudo-buildsize     "41 MB (add 9 MB for tests)">