Index: gnome-systemd/platform/evolution-data-server.xml
===================================================================
--- gnome-systemd/platform/evolution-data-server.xml	(revision e6107847f51746318609e3c4eac556acb66f2a0a)
+++ gnome-systemd/platform/evolution-data-server.xml	(revision 651dec2f0304f9f83f833a07253c0e1da2a98b34)
@@ -9,8 +9,8 @@
   <!ENTITY evolution-data-server-download-ftp
            "&gnome-download-ftp;/evolution-data-server/&gnome-minor;/evolution-data-server-&evolution-data-server-version;.tar.xz">
-  <!ENTITY evolution-data-server-md5sum        "bac1e9fd362c553dedbaa31ba1dc5e9a">
+  <!ENTITY evolution-data-server-md5sum        "cf78e9e77e753cdc3e4f8d1a7e844b17">
   <!ENTITY evolution-data-server-size          "5.2 MB">
   <!ENTITY evolution-data-server-buildsize     "245 MB">
-  <!ENTITY evolution-data-server-time          "2.2 SBU">
+  <!ENTITY evolution-data-server-time          "2.1 SBU">
 ]>
 
Index: gnome-systemd/platform/folks.xml
===================================================================
--- gnome-systemd/platform/folks.xml	(revision e6107847f51746318609e3c4eac556acb66f2a0a)
+++ gnome-systemd/platform/folks.xml	(revision 651dec2f0304f9f83f833a07253c0e1da2a98b34)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY folks-download-http "&gnome-download-http;/folks/0.9/folks-&folks-version;.tar.xz">
-  <!ENTITY folks-download-ftp  "&gnome-download-ftp;/folks/0.9/folks-&folks-version;.tar.xz">
-  <!ENTITY folks-md5sum        "1bfccf799ae58533ebfcb14b831b5cd9">
+  <!ENTITY folks-download-http "&gnome-download-http;/folks/0.10/folks-&folks-version;.tar.xz">
+  <!ENTITY folks-download-ftp  "&gnome-download-ftp;/folks/0.10/folks-&folks-version;.tar.xz">
+  <!ENTITY folks-md5sum        "c7134d50bba0775a9cabc6078ee19b50">
   <!ENTITY folks-size          "1.8 MB">
-  <!ENTITY folks-buildsize     "215 MB">
-  <!ENTITY folks-time          "1.5 SBU (additional 1.8 SBU for the tests)">
+  <!ENTITY folks-buildsize     "145 MB">
+  <!ENTITY folks-time          "1.2 SBU">
 ]>
 
@@ -78,5 +78,6 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gobject-introspection"/> and
+      <xref linkend="dbus-glib"/>,
+      <xref linkend="gobject-introspection"/>, and
       <xref linkend="libgee08"/>
     </para>
@@ -93,5 +94,6 @@
     <para role="optional">
       <xref linkend="tracker"/>,
-      <ulink url="&gnome-download-http;/libsocialweb/">libsocialweb</ulink>, and
+      <ulink url="&gnome-download-http;/libsocialweb/">libsocialweb</ulink>,
+      <ulink url="http://www.valadoc.org/">Valadoc</ulink>, and
       <ulink url="http://zeitgeist-project.com/">Zeitgeist</ulink>
     </para>
@@ -104,10 +106,4 @@
   <sect2 role="installation">
     <title>Installation of Folks</title>
-
-    <para>
-      First, fix building with recent versions of <application>Tracker</application>:
-    </para>
-
-<screen><userinput>sed -i "/SPARQL_MAJOR/s:0.16:1.0:g" configure</userinput></screen>
 
     <para>
Index: gnome-systemd/platform/gnome-online-accounts.xml
===================================================================
--- gnome-systemd/platform/gnome-online-accounts.xml	(revision e6107847f51746318609e3c4eac556acb66f2a0a)
+++ gnome-systemd/platform/gnome-online-accounts.xml	(revision 651dec2f0304f9f83f833a07253c0e1da2a98b34)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-online-accounts-download-http
-           "&gnome-download-http;/gnome-online-accounts/&gnome-minor;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
+           "&gnome-download-http;/gnome-online-accounts/&gnome-minor14;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
   <!ENTITY gnome-online-accounts-download-ftp
-           "&gnome-download-ftp;/gnome-online-accounts/&gnome-minor;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
-  <!ENTITY gnome-online-accounts-md5sum        "b673101d03f96c3d82bf18fde2e7701c">
+           "&gnome-download-ftp;/gnome-online-accounts/&gnome-minor14;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
+  <!ENTITY gnome-online-accounts-md5sum        "1c010fa4a15c920895d7b99d95521cc8">
   <!ENTITY gnome-online-accounts-size          "1.4 MB">
-  <!ENTITY gnome-online-accounts-buildsize     "50 MB">
-  <!ENTITY gnome-online-accounts-time          "0.5 SBU">
+  <!ENTITY gnome-online-accounts-buildsize     "52 MB">
+  <!ENTITY gnome-online-accounts-time          "0.4 SBU">
 ]>
 
@@ -78,6 +78,6 @@
     <para role="required">
       <xref linkend="gcr"/>,
+      <xref linkend="json-glib"/>, 
       <xref linkend="librest"/>,
-      <xref linkend="json-glib"/>, 
       <xref linkend="telepathy-glib"/>, and
       <xref linkend="webkitgtk2"/>
@@ -194,6 +194,6 @@
       </varlistentry>
 
-      <varlistentry id="libgoa-backend-4">
-        <term><filename class="libraryfile">libgoa-backend-4.0.so</filename></term>
+      <varlistentry id="libgoa-backend-1.0">
+        <term><filename class="libraryfile">libgoa-backend-1.0.so</filename></term>
         <listitem>
           <para>
@@ -201,6 +201,6 @@
             backends.
           </para>
-          <indexterm zone="gnome-online-accounts libgoa-backend-4">
-            <primary sortas="c-libgoa-backend-4">libgoa-backend-4.0.so</primary>
+          <indexterm zone="gnome-online-accounts libgoa-backend-1.0">
+            <primary sortas="c-libgoa-backend-1.0">libgoa-backend-1.0.so</primary>
           </indexterm>
         </listitem>
Index: gnome-systemd/platform/gnome-online-miners.xml
===================================================================
--- gnome-systemd/platform/gnome-online-miners.xml	(revision e6107847f51746318609e3c4eac556acb66f2a0a)
+++ gnome-systemd/platform/gnome-online-miners.xml	(revision 651dec2f0304f9f83f833a07253c0e1da2a98b34)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-online-miners-download-http
-           "&gnome-download-http;/gnome-online-miners/3.12/gnome-online-miners-&gnome-online-miners-version;.tar.xz">
+           "&gnome-download-http;/gnome-online-miners/&gnome-minor14;/gnome-online-miners-&gnome-online-miners-version;.tar.xz">
   <!ENTITY gnome-online-miners-download-ftp
-           "&gnome-download-ftp;/gnome-online-miners/3.12/gnome-online-miners-&gnome-online-miners-version;.tar.xz">
-  <!ENTITY gnome-online-miners-md5sum        "a64a3aea9587224c5113b1fc6b1b2d35">
-  <!ENTITY gnome-online-miners-size          "240 KB">
-  <!ENTITY gnome-online-miners-buildsize     "3.4 MB">
+           "&gnome-download-ftp;/gnome-online-miners/&gnome-minor14;/gnome-online-miners-&gnome-online-miners-version;.tar.xz">
+  <!ENTITY gnome-online-miners-md5sum        "a7cf302540938d56116c16917f733969">
+  <!ENTITY gnome-online-miners-size          "248 KB">
+  <!ENTITY gnome-online-miners-buildsize     "6.6 MB">
   <!ENTITY gnome-online-miners-time          "less than 0.1 SBU">
 ]>
Index: gnome-systemd/platform/libgdata.xml
===================================================================
--- gnome-systemd/platform/libgdata.xml	(revision e6107847f51746318609e3c4eac556acb66f2a0a)
+++ gnome-systemd/platform/libgdata.xml	(revision 651dec2f0304f9f83f833a07253c0e1da2a98b34)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY libgdata-download-http "&gnome-download-http;/libgdata/0.15/libgdata-&libgdata-version;.tar.xz">
-  <!ENTITY libgdata-download-ftp  "&gnome-download-ftp;/libgdata/0.15/libgdata-&libgdata-version;.tar.xz">
-  <!ENTITY libgdata-md5sum        "2489ee3f5d27dfdd3804fc8f79491e15">
+  <!ENTITY libgdata-download-http "&gnome-download-http;/libgdata/0.16/libgdata-&libgdata-version;.tar.xz">
+  <!ENTITY libgdata-download-ftp  "&gnome-download-ftp;/libgdata/0.16/libgdata-&libgdata-version;.tar.xz">
+  <!ENTITY libgdata-md5sum        "30200bd24c04fa85fd104c1d03129161">
   <!ENTITY libgdata-size          "1.5 MB">
-  <!ENTITY libgdata-buildsize     "45 MB">
+  <!ENTITY libgdata-buildsize     "60 MB">
   <!ENTITY libgdata-time          "0.5 SBU">
 ]>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision e6107847f51746318609e3c4eac556acb66f2a0a)
+++ gnome.ent	(revision 651dec2f0304f9f83f833a07253c0e1da2a98b34)
@@ -15,5 +15,5 @@
 <!ENTITY gcr-version                  "3.14.0">
 <!ENTITY geocode-glib-version         "3.14.0">
-<!ENTITY gjs-version                  "1.42.9">
+<!ENTITY gjs-version                  "1.42.0">
 <!ENTITY gnome-desktop-version        "3.14.1">
 <!ENTITY gnome-menus-version          "3.13.3">
@@ -29,11 +29,11 @@
 <!ENTITY libwacom-version             "0.10">
 <!ENTITY libwnck-version              "3.4.9">
-<!ENTITY gnome-online-accounts-version "3.12.4">
+<!ENTITY gnome-online-accounts-version "3.14.1">
 <!ENTITY gfbgraph-version             "0.2.2">
-<!ENTITY libgdata-version             "0.15.2">
+<!ENTITY libgdata-version             "0.16.0">
 <!ENTITY libzapojit-version           "0.0.3">
-<!ENTITY evolution-data-server-version "3.12.5">
-<!ENTITY folks-version                "0.9.8">
-<!ENTITY gnome-online-miners-version  "3.12.0">
+<!ENTITY evolution-data-server-version "3.12.7.1">
+<!ENTITY folks-version                "0.10.0">
+<!ENTITY gnome-online-miners-version  "3.14.0">
 
 <!-- Telepathy Framework -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e6107847f51746318609e3c4eac556acb66f2a0a)
+++ introduction/welcome/changelog.xml	(revision 651dec2f0304f9f83f833a07253c0e1da2a98b34)
@@ -51,4 +51,13 @@
         </listitem>
         <listitem>
+          <para>[krejzi] - Updated to gnome-online-miners-3.14.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Updated to evolution-data-server-3.12.7.1 and folks-0.10.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - Updated to gnome-online-accounts-3.14.1 and libgdata-0.16.0.</para>
+        </listitem>
+        <listitem>
           <para>[krejzi] - Updated to libpeas-1.12.1, librest-0.7.92 and libwnck-3.4.9.</para>
         </listitem>