Index: general.ent
===================================================================
--- general.ent	(revision d2582762202ab33997a69a132007a9d609da1184)
+++ general.ent	(revision 660a70c5545629aa05da346cd094880fd13f1f8c)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY day          "06">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 5th, &year;">
+<!ENTITY releasedate  "February 6th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/nodejs.xml
===================================================================
--- general/genlib/nodejs.xml	(revision d2582762202ab33997a69a132007a9d609da1184)
+++ general/genlib/nodejs.xml	(revision 660a70c5545629aa05da346cd094880fd13f1f8c)
@@ -7,7 +7,7 @@
   <!ENTITY nodejs-download-http "https://nodejs.org/dist/v&nodejs-version;/node-v&nodejs-version;.tar.xz">
   <!ENTITY nodejs-download-ftp  " ">
-  <!ENTITY nodejs-md5sum        "1c78a75f5c95321f533ecccca695e814">
+  <!ENTITY nodejs-md5sum        "e0299d7be20a2c8d5dd932f8494b072b">
   <!ENTITY nodejs-size          "22 MB">
-  <!ENTITY nodejs-buildsize     "587 MB (add 37 MB for tests)">
+  <!ENTITY nodejs-buildsize     "587 MB (add 39 MB for tests)">
   <!ENTITY nodejs-time          "7.8 SBU (using parallelism=4; add 2.4 SBU for tests)">
 ]>
Index: general/genutils/screen.xml
===================================================================
--- general/genutils/screen.xml	(revision d2582762202ab33997a69a132007a9d609da1184)
+++ general/genutils/screen.xml	(revision 660a70c5545629aa05da346cd094880fd13f1f8c)
@@ -7,5 +7,5 @@
   <!ENTITY screen-download-http "&gnu-http;/screen/screen-&screen-version;.tar.gz">
   <!ENTITY screen-download-ftp  "&gnu-ftp;/screen/screen-&screen-version;.tar.gz">
-  <!ENTITY screen-md5sum        "b8971ebd68d046f2814d1040cb8e6641">
+  <!ENTITY screen-md5sum        "d276213d3acd10339cd37848b8c4ab1e">
   <!ENTITY screen-size          "836 KB">
   <!ENTITY screen-buildsize     "7.4 MB">
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision d2582762202ab33997a69a132007a9d609da1184)
+++ general/prog/cmake.xml	(revision 660a70c5545629aa05da346cd094880fd13f1f8c)
@@ -7,5 +7,5 @@
   <!ENTITY cmake-download-http "https://cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "9e6fa59704d3a52812e279996b5b01c7">
+  <!ENTITY cmake-md5sum        "e3dacb6b612a6b06f7054c7fb4e18616">
   <!ENTITY cmake-size          "8.7 MB">
   <!ENTITY cmake-buildsize     "443 MB (add 541 MB for tests)">
Index: general/sysutils/lsb-tools.xml
===================================================================
--- general/sysutils/lsb-tools.xml	(revision d2582762202ab33997a69a132007a9d609da1184)
+++ general/sysutils/lsb-tools.xml	(revision 660a70c5545629aa05da346cd094880fd13f1f8c)
@@ -6,8 +6,8 @@
   <!ENTITY lsb-tools-download-http "https://github.com/djlucas/LSB-Tools/releases/download/v&lsb-tools-version;/LSB-Tools-&lsb-tools-version;.tar.gz">
   <!ENTITY lsb-tools-download-ftp  " ">
-  <!ENTITY lsb-tools-md5sum        "730936d395bfaef5cf95093220b82b91">
-  <!ENTITY lsb-tools-size          "12 KB">
-  <!ENTITY lsb-tools-buildsize     "388 KB">
-  <!ENTITY lsb-tools-time          "0.1 SBU">
+  <!ENTITY lsb-tools-md5sum        "2f692dca56d371a085d2cbf9fdb606af">
+  <!ENTITY lsb-tools-size          "16 KB">
+  <!ENTITY lsb-tools-buildsize     "180 KB">
+  <!ENTITY lsb-tools-time          "0.s than  SBU">
 
   %general-entities;
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d2582762202ab33997a69a132007a9d609da1184)
+++ introduction/welcome/changelog.xml	(revision 660a70c5545629aa05da346cd094880fd13f1f8c)
@@ -42,4 +42,26 @@
     </listitem>
        -->
+    <listitem>
+      <para>February 6th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to node.js-12.15.0. Fixes
+          <ulink url="&blfs-ticket-root;13102">#13102</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cmake-3.16.4. Fixes
+          <ulink url="&blfs-ticket-root;13104">#13104</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to LSB-Tools-0.6. Fixes
+          <ulink url="&blfs-ticket-root;13103">#13103</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to screen-4.8.0. Fixes
+          <ulink url="&blfs-ticket-root;13101">#13101</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>February 5th, 2020</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision d2582762202ab33997a69a132007a9d609da1184)
+++ packages.ent	(revision 660a70c5545629aa05da346cd094880fd13f1f8c)
@@ -170,5 +170,5 @@
 <!ENTITY lzo-version                  "2.10">
 <!ENTITY mtdev-version                "1.1.6">
-<!ENTITY nodejs-version               "12.14.1">
+<!ENTITY nodejs-version               "12.15.0">
 <!ENTITY npth-version                 "1.6">
 <!ENTITY nspr-version                 "4.25">
@@ -251,5 +251,5 @@
 <!ENTITY recode-version               "3.6">
 <!ENTITY rep-gtk-version              "0.90.8.3">
-<!ENTITY screen-version               "4.7.0">
+<!ENTITY screen-version               "4.8.0">
 <!ENTITY sharutils-version            "4.15.2">
 <!ENTITY telepathy-logger-version     "0.8.2">
@@ -281,5 +281,5 @@
 <!ENTITY lm-sensors-version           "3-6-0">
 <!ENTITY logrotate-version            "3.15.1">
-<!ENTITY lsb-tools-version            "0.5">
+<!ENTITY lsb-tools-version            "0.6">
 <!ENTITY mc-version                   "4.8.24">
 <!ENTITY ModemManager-version         "1.12.4">
@@ -314,5 +314,5 @@
 <!ENTITY clisp-version                "2.49">
 <!ENTITY cmake-major-version          "3.16">
-<!ENTITY cmake-minor-version          "3">
+<!ENTITY cmake-minor-version          "4">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY dejagnu-version              "1.6.2">