Index: archive/gnome-obsolete/ekiga.xml
===================================================================
--- archive/gnome-obsolete/ekiga.xml	(revision 99b3ac418c130a7666a47df8d47c6246957e1519)
+++ 	(revision )
@@ -1,168 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY ekiga-download-http "&gnome-download-http;/ekiga/3.2/ekiga-&ekiga-version;.tar.bz2">
-  <!ENTITY ekiga-download-ftp  "&gnome-download-ftp;/ekiga/3.2/ekiga-&ekiga-version;.tar.bz2">
-  <!ENTITY ekiga-md5sum        "5cf2edf199075a3c3d115ce9b94cbf0f">
-  <!ENTITY ekiga-size          "8.7 MB">
-  <!ENTITY ekiga-buildsize     "266 MB">
-  <!ENTITY ekiga-time          "3.6 SBU">
-]>
-
-<sect1 id="ekiga" xreflabel="Ekiga-&ekiga-version;">
-  <?dbhtml filename="ekiga.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Ekiga-&ekiga-version;</title>
-
-  <indexterm zone="ekiga">
-    <primary sortas="a-Ekiga">Ekiga</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Ekiga</title>
-
-    <para><application>Ekiga</application> is an H.323 and SIP compatible
-    videoconferencing and VOIP/IP-Telephony application that allows you to make
-    audio and video calls to remote users with H.323 hardware or software (such
-    as Microsoft Netmeeting) and SIP compatible software. It supports all
-    modern videoconferencing features, such as registering to an ILS directory,
-    gatekeeper support, making multi-user conference calls using an external
-    MCU, using modern Quicknet telephony cards, and making PC-To-Phone calls.</para>
-
-    &lfs65_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&ekiga-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&ekiga-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &ekiga-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &ekiga-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &ekiga-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &ekiga-time;</para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Ekiga Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="evolution-data-server"/>,
-    <xref linkend="gnome-doc-utils"/>,
-    <xref linkend="gtk2"/>,
-    <xref linkend="libsigc"/>,
-    <xref linkend="opal"/>,
-    <xref linkend="openldap"/>,
-    <xref linkend="rarian"/>, and
-    <xref linkend="which"/></para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="avahi"/>,
-    <xref linkend="gstreamer"/>,
-    <xref linkend="libgnome"/>, and
-    <xref linkend="telepathy-glib"/></para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/ekiga"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Ekiga</title>
-
-    <para>Install <application>Ekiga</application> by running the
-    following commands:</para>
-
-<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
-            --sysconfdir=&gnome-etc-dir; \
-            --localstatedir=/var/lib \
-            --enable-avahi=no &amp;&amp;
-make</userinput></screen>
-
-    <para>This package does not come with a test suite.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-    <para>Two <application>D-BUS</application> service scripts were installed
-    in the previous step. If the <envar>$GNOME_PREFIX</envar> is anything other
-    than <filename class='directory'>/usr</filename>, as the
-    <systemitem class="username">root</systemitem> user you should add the
-    <filename class='directory'>$GNOME_PREFIX/share/dbus-1/services</filename>
-    directory to the local session configuration as described in the
-    <xref linkend="dbus"/> configuration section.</para>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-prefix.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-sysconfdir.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/scrollkeeper-dir.xml"/>
-
-    <para><parameter>--enable-avahi=no</parameter>: This parameter disables mDNS
-    support. Remove this if you have <application>avahi</application>
-    installed.</para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>ekiga, ekiga-config-tool and ekiga-helper</seg>
-        <seg>None</seg>
-        <seg><envar>$GNOME_PREFIX</envar>/share/{gnome/help/ekiga/*,omf/ekiga,
-        pixmaps/ekiga,sounds/ekiga}</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="ekiga-prog">
-        <term><command>ekiga</command></term>
-        <listitem>
-          <para>is a H.323 and SIP VOIP, telephony and video conferencing
-          application which uses the H.323 and SIP protocols.</para>
-          <indexterm zone="ekiga ekiga-prog">
-            <primary sortas="b-ekiga">ekiga</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-    </variablelist>
-
-  </sect2>
-
-</sect1>