Index: general.ent
===================================================================
--- general.ent	(revision 64e8e697aa6bb4b17c2fa01a52c0542c25a29fb5)
+++ general.ent	(revision 666e81105c9ae13615b311cb2454f7df702282d4)
@@ -888,7 +888,7 @@
 
 <!-- Chapter 47 -->
-<!ENTITY texlive-version              "20130530">
+<!ENTITY texlive-version              "20140525">
 <!-- the year is used when setting up PATHs in the tl-installer
  page, as well as to reference the directory in texlive -->
-<!ENTITY texlive-year                 "2013">
-
+<!ENTITY texlive-year                 "2014">
+
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 64e8e697aa6bb4b17c2fa01a52c0542c25a29fb5)
+++ introduction/welcome/changelog.xml	(revision 666e81105c9ae13615b311cb2454f7df702282d4)
@@ -48,4 +48,9 @@
       <para>July 2nd, 2014</para>
       <itemizedlist>
+        <listitem>
+          <para>[ken] - Update to texlive-20140525 and current (20140628)
+          version of install-tl-unx.
+          Fixes <ulink url="&blfs-ticket-root;5170">#5170</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[igor] - Update to git-2.0.1. Fixes
Index: pst/typesetting/texlive.xml
===================================================================
--- pst/typesetting/texlive.xml	(revision 64e8e697aa6bb4b17c2fa01a52c0542c25a29fb5)
+++ pst/typesetting/texlive.xml	(revision 666e81105c9ae13615b311cb2454f7df702282d4)
@@ -7,9 +7,11 @@
   <!ENTITY texlive-source-download-http " ">
   <!ENTITY texlive-source-download-ftp  "ftp://tug.org/texlive/historic/&texlive-year;/texlive-&texlive-version;-source.tar.xz">
-  <!ENTITY texlive-source-md5sum        "f52599c99fb1035399b907f4c54f1125">
-  <!ENTITY texlive-source-size          "172 MB">
-
-  <!ENTITY texlive-buildsize            "1.6 GB">
-  <!ENTITY texlive-time                 "9.6 SBU">
+  <!ENTITY texlive-source-md5sum        "09ee265ff51637827559affc7304078c">
+  <!ENTITY texlive-source-size          "40 MB">
+
+  <!-- buildsize is the source dir, plus the kpathsea files installed to /usr.
+   The progs in bin/ARCH/ seem slightly smaller (shared libs) -->
+  <!ENTITY texlive-buildsize            "555 MB">
+  <!ENTITY texlive-time                 "8.4 SBU">
 ]>
 
@@ -59,26 +61,17 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Required patch:
-          <ulink url="&patch-root;/texlive-&texlive-version;-source-fix_asymptote-1.patch"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Required patch:
-          <ulink url="&patch-root;/texlive-&texlive-version;-source-poppler26-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
     <bridgehead renderas="sect3">TeX Live Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="tl-installer"/> or a previous version of TeX Live
+      (untested, you would need to alter the configure switches which refer
+      to &texlive-year; so that it overwrites your existing installation, or
+      else copy everything to the location for the current year).
+    </para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="freeglut"/> (for asy),
-      <xref linkend="gs"/>,
+      <xref linkend="gs"/> (for dvisvgm, which is used by asy),
       <xref linkend="x-window-system"/>
     </para>
@@ -101,4 +94,8 @@
       <ulink url="http://www.fftw.org/">FFTW</ulink> can be used by asy.
     </para>
+    <para role="optional">
+      <ulink url="http://www.gnu.org/software/clisp/">clisp</ulink> is a build-time
+      dependency for xindy, see <filename>utils/xindy/README-clisp</filename>.
+    </para>
     <para>
       The source ships with its own versions of several libraries which are either
@@ -109,5 +106,4 @@
       <ulink url="http://fossies.org/linux/misc/t1lib-5.1.2.tar.gz/">t1lib</ulink>,
       <ulink url="http://sourceforge.net/projects/zziplib/">ZZIPlib</ulink>,
-      <ulink url="http://www.gnu.org/software/clisp/">CLISP</ulink>,
       <ulink url="http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&amp;id=TECkitDownloads">TECkit</ulink>
     </para>
@@ -116,5 +112,5 @@
     <para role="recommended">
       Some (re-installed) scripts will use
-      <xref linkend="ruby"/> and <xref linkend="tk"/> is used by epspdftk.
+      <xref linkend="python2"/> or <xref linkend="ruby"/>.
     </para>
 
@@ -146,24 +142,24 @@
 
     <para>At the moment, these instructions do not rebuild
-    <application>xindy</application> which was installed by the binary installer,
-    due to a problem with the tarball's install procedure.  Asy and the rest of
-    asymptote is by default not rebuilt, so we have to separately run
-    <command>configure</command> and <command>make</command> in its directory.
-    </para>
-
-<screen><userinput>patch -Np1 -i ../texlive-&texlive-version;-source-fix_asymptote-1.patch &amp;&amp;
-patch -Np1 -i ../texlive-&texlive-version;-source-poppler26-1.patch &amp;&amp;
-
-mkdir texlive-build &amp;&amp;
+    <application>biber</application> or <application>xindy</application> which were
+    installed by the binary installer.  See the "Special considerations for ..."
+    paragraphs of
+    <ulink url="http://tug.org/texlive/build.html">Building TeX Live</ulink>.
+    Asy and the rest of asymptote is by default not rebuilt, so we have to
+    separately run <command>configure</command> and <command>make</command> in its
+    directory.
+    </para>
+
+<screen><userinput>mkdir texlive-build &amp;&amp;
 cd texlive-build    &amp;&amp;
 
 ../configure                                        \
-    --prefix=/opt/texlive/2013                      \
-    --bindir=/opt/texlive/2013/bin/x86_64-linux     \
-    --datarootdir=/opt/texlive/2013                 \
+    --prefix=/opt/texlive/&texlive-year;                      \
+    --bindir=/opt/texlive/&texlive-year;/bin/x86_64-linux     \
+    --datarootdir=/opt/texlive/&texlive-year;                 \
     --includedir=/usr/include                       \
-    --infodir=/opt/texlive/2013/texmf-dist/doc/info \
+    --infodir=/opt/texlive/&texlive-year;/texmf-dist/doc/info \
     --libdir=/usr/lib                               \
-    --mandir=/opt/texlive/2013/texmf-dist/doc/man   \
+    --mandir=/opt/texlive/&texlive-year;/texmf-dist/doc/man   \
     --disable-native-texlive-build                  \
     --disable-static --enable-shared                \
@@ -188,10 +184,10 @@
 
 ./configure LIBS="-ltirpc "                         \
-    --prefix=/opt/texlive/2013/                     \
-    --bindir=/opt/texlive/2013/bin/x86_64-linux     \
+    --prefix=/opt/texlive/&texlive-year;/                     \
+    --bindir=/opt/texlive/&texlive-year;/bin/x86_64-linux     \
     --enable-texlive-build                          \
-    --datarootdir=/opt/texlive/2013/texmf-dist      \
-    --infodir=/opt/texlive/2013/texmf-dist/doc/info \
-    --mandir=/opt/texlive/2013/texmf-dist/doc/man   \
+    --datarootdir=/opt/texlive/&texlive-year;/texmf-dist      \
+    --infodir=/opt/texlive/&texlive-year;/texmf-dist/doc/info \
+    --mandir=/opt/texlive/&texlive-year;/texmf-dist/doc/man   \
     --cache-file=config.cache &amp;&amp;
 popd &amp;&amp;
@@ -214,9 +210,4 @@
     <title>Command Explanations</title>
 
-    <para>
-      <parameter>patch -Np1 -i ../texlive-&texlive-version;-source-poppler26-1.patch</parameter>:
-      this allows luatex to build against poppler &gt;=0.26. Omit this if you
-      have not installed <application>poppler</application>.
-    </para>
     <para>
       <parameter>--prefix=, --bindir=, --datarootdir=, --infodir=, --mandir= ...
@@ -296,8 +287,6 @@
         <term><command>TeX&nbsp;programs</command></term>
         <listitem>
-          <para>included in the <application>TeX Live</application> package are
-          too numerous to individually list. Please refer to the individual
-          program man and html pages in the installation directory's 2011/index.html
-          directory.</para>
+          <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+          href="../../xincludes/texprogs.xml"/>
           <indexterm zone="texlive texlive-programs">
             <primary sortas="b-texlive-programs">TeX Live programs</primary>
Index: pst/typesetting/tl-installer.xml
===================================================================
--- pst/typesetting/tl-installer.xml	(revision 64e8e697aa6bb4b17c2fa01a52c0542c25a29fb5)
+++ pst/typesetting/tl-installer.xml	(revision 666e81105c9ae13615b311cb2454f7df702282d4)
@@ -8,6 +8,7 @@
 
   <!ENTITY tl-installer-download-ftp    " ">
-  <!ENTITY tl-installer-md5sum          "d90a8e6b1d9d96210a95ed7901356f41">
-  <!ENTITY tl-installer-size            "2.9 MB">
+  <!ENTITY tl-installer-md5sum          "f5b1e909d5c2380cefd2cda83d288c00">
+  <!ENTITY tl-installer-date             "20140628"> <!-- in the directory name -->
+  <!ENTITY tl-installer-size            "3.2 MB">
 
   <!ENTITY tl-installer-buildsize        "3.8 GB">
@@ -33,5 +34,5 @@
 
     <para>The <application>TeX Live</application> package is a comprehensive
-    TeX document production system.  It includes TEX, LaTeX2e, ConTEXt,
+    TeX document production system.  It includes TeX, LaTeX2e, ConTeXt,
     Metafont, MetaPost, BibTeX and many other programs; an extensive collection
     of macros, fonts and documentation; and support for typesetting in many
@@ -40,5 +41,5 @@
     <para>It is necessary to use a binary installer for the first install.
     This will provide the programs, the scripts, and a lot of supporting files
-    and documentation.  After that, you can rebuild the programs from source
+    and documentation.  After that, you can rebuild most of the programs from source
     by following the instructions for <xref linkend="texlive"/>.  The installer
     is updated frequently, so its md5sum will change if it is newer than what
@@ -58,5 +59,5 @@
       </listitem>
       <listitem>
-        <para>Download MD5 sum: &tl-installer-md5sum; (at 20140213)</para>
+        <para>Download MD5 sum: &tl-installer-md5sum; (at &tl-installer-date;)</para>
       </listitem>
       <listitem>
@@ -75,28 +76,29 @@
       The binaries are mostly linked to static libraries such as
       <filename class="libraryfile">libc.a</filename>, but a few of the programs
-      and several scripts will fail if the following packages are not present -
-      there may be other libraries which are dynamically loaded.
-    </para>
-    <para>
-      <xref linkend="gs"/> is dynamically loaded by (at least) asy.
-    </para>
-    <para>
-      <xref linkend="libdrm"/>,
-      <xref linkend="freeglut"/> and
-      <xref linkend="glu"/> are needed for asy.
+      and several scripts will fail if the following packages are not present.
+    </para>
+    <para>
+      <xref linkend="gs"/> is dynamically loaded by dvisvgm, which is used by
+     <application>asy</application>.
     </para>
     <para>
       <xref linkend="xorg7-lib"/> and
       <xref linkend="libxcb"/> are needed for asy, inimf, mf, pdfclose, pdfopen
-      and xdvixaw.
-    </para>
-    <para>
-      the optional non-wide-character ncurses libraries (for "some binary-only
+      and xdvixaw. But if you are using <application>TeX</application> to create
+      a PDF file, you will need an <xref linkend="x-window-system"/> to support a
+      PDF viewer of your choice, for example <xref linkend="epdfview"/>.
+    </para>
+    <para>
+      the optional non-wide-character ncurses library (for "some binary-only
       application") from the bottom of the <application>Ncurses</application>
-      page in LFS are needed for asy and xindy.run.
-    </para>
-    <para>
-      <xref linkend="ruby"/> is used by many scripts,
-      <xref linkend="tk"/> is used by epspdftk
+      page in LFS is needed for xindy.run which is used by
+      <application>xindy</application>
+    </para>
+    <para>
+      <xref linkend="python2"/> is used by many scripts.
+    </para>
+    <para>
+      <xref linkend="ruby"/> is used by some scripts, mostly within mtx_context
+      which is part of <application>conTeXt</application>.
     </para>
 
@@ -146,5 +148,5 @@
     installed in an &lt;ARCH&gt;-linux subdirectory.
     <emphasis>Always</emphasis> replace &lt;ARCH&gt; by x86_64, for 64bit,
-    or by i386, for 32bit, respectivelly, depending on the architecture that
+    or by i386, for 32bit, respectively, depending on the architecture that
     you are using in your actual installation location.</para>
 
@@ -192,9 +194,6 @@
         <term><command>TeX&nbsp;programs</command></term>
         <listitem>
-          <para>included in the <application>TeX Live</application> package are
-          too numerous to individually list. Please refer to the individual
-          program man and html pages in the installation directory's 2011/index.html
-          directory, or the various PDF files within the subdirectories of texmf-dist.
-          </para>
+          <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+          href="../../xincludes/texprogs.xml"/>
           <indexterm zone="tl-installer tl-installer-programs">
             <primary sortas="b-tl-installer-programs">TeX Live programs</primary>
Index: xincludes/texprogs.xml
===================================================================
--- xincludes/texprogs.xml	(revision 666e81105c9ae13615b311cb2454f7df702282d4)
+++ xincludes/texprogs.xml	(revision 666e81105c9ae13615b311cb2454f7df702282d4)
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<!-- $LastChangedBy$
+     $Date$ -->
+
+          <para>The programs included in <application>TeX</application>
+          are too numerous to individually list. Please refer to the individual
+          program HTML and PDF pages in the installation directory's
+          <filename>&texlive-year;/doc.html</filename> file,
+          <!-- the html and pdf here refer to file extensions, not abbreviations,
+           so they are in lowercase -->
+          or the various html, man, or pdf files within the subdirectories of
+          <filename class="directory">&texlive-year;/texmf-dist/</filename>.
+          </para>