Index: general/sysutils/lm_sensors.xml
===================================================================
--- general/sysutils/lm_sensors.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ general/sysutils/lm_sensors.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/pciutils.xml
===================================================================
--- general/sysutils/pciutils.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ general/sysutils/pciutils.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/pm-utils.xml
===================================================================
--- general/sysutils/pm-utils.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ general/sysutils/pm-utils.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/upower.xml
===================================================================
--- general/sysutils/upower.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ general/sysutils/upower.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/usbutils.xml
===================================================================
--- general/sysutils/usbutils.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ general/sysutils/usbutils.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/libfm-extra.xml
===================================================================
--- lxde/desktop/libfm-extra.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxde/desktop/libfm-extra.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/libfm.xml
===================================================================
--- lxde/desktop/libfm.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxde/desktop/libfm.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/lxmenu-data.xml
===================================================================
--- lxde/desktop/lxmenu-data.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxde/desktop/lxmenu-data.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxde/desktop/menu-cache.xml
===================================================================
--- lxde/desktop/menu-cache.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxde/desktop/menu-cache.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/liblxqt.xml
===================================================================
--- lxqt/desktop/liblxqt.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/liblxqt.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/libqtxdg.xml
===================================================================
--- lxqt/desktop/libqtxdg.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/libqtxdg.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/libsysstat.xml
===================================================================
--- lxqt/desktop/libsysstat.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/libsysstat.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-about.xml
===================================================================
--- lxqt/desktop/lxqt-about.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-about.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-common.xml
===================================================================
--- lxqt/desktop/lxqt-common.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-common.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-config.xml
===================================================================
--- lxqt/desktop/lxqt-config.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-config.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-globalkeys.xml
===================================================================
--- lxqt/desktop/lxqt-globalkeys.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-globalkeys.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-kguiaddons.xml
===================================================================
--- lxqt/desktop/lxqt-kguiaddons.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-kguiaddons.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <note><para>This package is extracted from the KF5 set of packages.  If
Index: lxqt/desktop/lxqt-kwayland.xml
===================================================================
--- lxqt/desktop/lxqt-kwayland.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-kwayland.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <note>
Index: lxqt/desktop/lxqt-kwindowsystem.xml
===================================================================
--- lxqt/desktop/lxqt-kwindowsystem.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-kwindowsystem.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <note><para>This package is extracted from the KF5 set of packages.  If
Index: lxqt/desktop/lxqt-libkscreen.xml
===================================================================
--- lxqt/desktop/lxqt-libkscreen.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-libkscreen.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <note>
Index: lxqt/desktop/lxqt-notificationd.xml
===================================================================
--- lxqt/desktop/lxqt-notificationd.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-notificationd.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-panel.xml
===================================================================
--- lxqt/desktop/lxqt-panel.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-panel.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-policykit.xml
===================================================================
--- lxqt/desktop/lxqt-policykit.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-policykit.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-powermanagement.xml
===================================================================
--- lxqt/desktop/lxqt-powermanagement.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-powermanagement.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-qtplugin.xml
===================================================================
--- lxqt/desktop/lxqt-qtplugin.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-qtplugin.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-runner.xml
===================================================================
--- lxqt/desktop/lxqt-runner.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-runner.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-session.xml
===================================================================
--- lxqt/desktop/lxqt-session.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-session.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-solid.xml
===================================================================
--- lxqt/desktop/lxqt-solid.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/lxqt-solid.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <note><para>This package is extracted from the KF5 set of packages.  If
Index: lxqt/desktop/pcmanfm-qt.xml
===================================================================
--- lxqt/desktop/pcmanfm-qt.xml	(revision f3f4cbbc06643596870a6aeb552a85a3db6de2cf)
+++ lxqt/desktop/pcmanfm-qt.xml	(revision 671d62c1da792ee439e8ac984f6f4710d61deac7)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs79_checked;&gcc6_checked;
+    &lfs7a_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>